<?php
/**
* 
*/
class HouseController extends Controller
{
	
	function __construct($name)
	{
		parent::__construct($name);
	}

	public function index(){
		$casaModel = loadModel("house");

		if(isset($_GET['id'])){
			$id = $_GET['id'];
		}else{
			$id = "";
		}

		if($id != ""){
			$house = array();
			$house = $casaModel->getHouseById($id);
			$house['images'] = $casaModel->getHouseImages($id);
		}

		$this->viewDatas['house']     = $house;
		$this->viewDatas['left_menu'] = $this->menuHouses($id);
		return $this->render("house");
	}

	private function menuHouses($id=""){
		$casaModel = loadModel("house");
		$casas	   = $casaModel->getHouses();

		$menu = "";

		$menu .= "<ul>";

		foreach ($casas as $value) {
			if($id == $value['id']){
				$menu .= "<li><a href='./index.php?r=house&id=".$value['id']."' class='selected'>".$value['name']."</a></li>";
			}else{
				$menu .= "<li><a href='./index.php?r=house&id=".$value['id']."'>".$value['name']."</a></li>";
			}
			
		}

		$menu .= "</ul>";

		return $menu;
	}
}
?>