<?php
class MenuController extends Controller{
	
	function __construct($name){
		parent::__construct($name);
	}
	
	public function index(){
				
		if(isset($_GET['r'])){
			$r    = $_GET['r'];
			$r    = explode("&", $r);
			if($r[0] == "information" && isset($_GET['root'])){
				$root = $_GET['root'];
			}else{
				$root = $r[0];
			}
		}else{
			$root = "home";
		}
				
		$this->viewDatas['categorias']      = $this->makeMenu($root);
		$this->viewDatas['categoriasMovil'] = $this->makeMenuMovil();
		return loadView('menu', $this->viewDatas);
	}
		
	private function makeMenu($root){
		$menuModel = loadModel("menu");
		$language  = loadLanguage('menu');
				
		$menu = "";
		
		$menu .= "<ul>"; //ul principal
		
			//Indice
			/*if($root == "home"){
				$menu .= "<li><a href='./index.php' class='selected'><img src='".PATH_VIEWS."/".TEMPLATE."/img/icono_home.png' /></a></li>";
			}else{
				$menu .= "<li><a href='./index.php'><img src='".PATH_VIEWS."/".TEMPLATE."/img/icono_home.png' /></a></li>";
			}*/

			//Secciones Informativas	
			$categories = $menuModel->getCategories(0);
			
			
			$c_img = 2;
			foreach ($categories as $row){//Segundo Nivel
							
				$menu .= "<li>";
					if($row['id'] != 3){
						if($root == $row['id']){
							$menu .= "<a href='".encode_seo("./index.php?r=information&root={$row['id']}")."' class='selected'>{$row['name']}</a>";
						}else{
							$menu .= "<a href='".encode_seo("./index.php?r=information&root={$row['id']}")."'>{$row['name']}</a>";	
						}
					}else{
						if($root == $row['id']){
							$menu .= "<a href='".encode_seo("./index.php?r=information&root={$row['id']}")."' class='selected'>{$row['name']}</a>";
						}else{
							$menu .= "<a href='".encode_seo("./index.php?r=information&root={$row['id']}")."'>{$row['name']}</a>";	
						}
					}

					//Buscar subcategorias de la categoría raiz
					$subcat = $menuModel->getCategories($row['id']);

					//Buscar articulos en la categoría raiz
					$articles = $menuModel->getArticlesByCat($row['id']);

					if($subcat || $articles){
																	
						$menu .= "<ul>";
						
						foreach ($subcat as $subRow){
							
							$menu .= "<li>";
						
								$menu .= "<a href='./index.php?r=information&root={$row['id']}&subcat={$subRow['id']}'>{$subRow['name']}</a>";
							
								//Si hay articulos dentro de la subcategoria
								$subcatArticles = $menuModel->getArticlesByCat($subRow['id']);

								if($subcatArticles){
									$menu .= "<ul>";
										foreach($subcatArticles as $subcatArticle){
											$menu .= "<li><a href='./index.php?r=information&root={$row['id']}&subcat={$subRow['id']}&id={$subcatArticle['id']}'>".$subcatArticle['title']."</a></li>";
										}
									$menu .= "</ul>";
								}

							$menu .= "</li>";
						}

						foreach($articles as $article){
							$menu .= "<li>
										<a href='".encode_seo("./index.php?r=information&root={$row['id']}&id={$article['id']}")."'>".$article['title']."</a>
									  </li>";
						}
										
						$menu .= "</ul>";
					}

				$menu .= "</li>";
				$c_img++;
			}
		
			//Contacto
			if($root == "contact"){
				$menu .= "<li style='background-image:none'><a href='./index.php?r=contact' class='selected'>".$language['contact']."</a></li>";
			}else{
				$menu .= "<li style='background-image:none'><a href='./index.php?r=contact'>".$language['contact']."</a></li>";
			}
						
		$menu .= "</ul> <div style='clear:both'></div>"; //cerrar ul principal
		
		return $menu;	
	}

	private function makeMenuMovil(){

		$menuModel    = loadModel("menu");
		$productModel = loadModel("product");
		$language     = loadLanguage("menu");
				
		$menu = "";
		
		$menu .= "<ul>"; //ul principal
		
			//Indice
			$menu .= "<li><a href='./index.php'>".$language['home']."</a></li>";
			
			//Secciones Informativas	
			$categories = $menuModel->getCategories(0);
			
			foreach ($categories as $row){//Segundo Nivel
				
				//Buscar subcategorias de la categoría raiz		
				$subcat = $menuModel->getCategories($row['id']);

				//Buscar articulos en la categoría raiz
				$articles = $menuModel->getArticlesByCat($row['id']);

				$menu .= "<li>";

					//$menu .= "<a href='javascript:void(0)'>{$row['name']}&nbsp;<i class='fa fa-caret-down fa-lg'></i></a>";	
					$menu .= "<a href='".encode_seo("./index.php?r=information&root={$row['id']}")."'>{$row['name']}</a>";
					
						$menu .= "<ul>";
							if($row['id'] == 3){
								$menu .= "<li><a href='".encode_seo("./index.php?r=information&root={$row['id']}")."'>{$row['name']}</a></li>";
							}
								
							foreach ($subcat as $subRow){
									
								$menu .= "<li>";
									
									$menu .= "<a href='javascript:void(0)'>{$subRow['name']}&nbsp;<i class='fa fa-caret-down fa-lg'></i></a>";
									//$menu .= "<a href='./index.php?r=information&root={$row['id']}&subcat={$subRow['id']}'>{$subRow['name']}</a>";
									
									//Buscar articulos dentro de la subcategoria
									$subcatArticles = $menuModel->getArticlesByCat($subRow['id']);

									if($subcatArticles){

										$menu .= "<ul>";

											foreach ($subcatArticles as $subcatArticle) {
												$menu .= "<li>";

													$menu .= "<a href='./index.php?r=information&root={$row['id']}&subcat={$subRow['id']}&id={$subcatArticle['id']}'>".$subcatArticle['title']."</a>";
												
												$menu .= "</li>";
											}

										$menu .= "</ul>";

									}
																		
								$menu .= "</li>";
							}

							foreach ($articles as $article) {
								$menu .= "<li>";
									$menu .= "<a href='".encode_seo("./index.php?r=information&root={$row['id']}&id={$article['id']}")."'>".$article['title']."</a>";
								$menu .= "</li>";
							}
						
						$menu .= "</ul>";

				$menu .= "</li>";
			}

			//Productos
			/*$menu .= "<li><a href='javascript:void(0)'>".$language['product']."&nbsp;<i class='fa fa-caret-down fa-lg'></i></a>";
				
				$menu .= "<ul>";

					$menu .= "<li><a href='./index.php?r=product'>".$language['product']."</a></li>";

					$productCategories = $productModel->getProductCategories();

					foreach ($productCategories as $productCategory) {
						$menu .= "<li><a href='./index.php?r=product&category=".$productCategory['id']."'>".$productCategory['name']."</a></li>";
					}

				$menu .= "</ul>";

			$menu .= "</li>";*/

			//Contacto
			$menu .= "<li><a href='./index.php?r=contact'>".$language['contact']."</a></li>";

			/*if($_SESSION['_LANGUAGE_'] == "es"){
				$menu .= "<li><a href='./index.php?l=en'>ENGLISH</a></li>";
			}else{
				$menu .= "<li><a href='./index.php?l=es'>ESPA&Ntilde;OL</a></li>";
			}*/
						
		$menu .= "</ul>"; //cerrar ul principal
		
		return $menu;	
	}
	
	
}
?>