<?php
	
	class InformationModel extends Model{
		
		public function _construct(){
			parent::__construct();
		}
		
		public function getCategoriesByParentId($parent_id){
			$sql = "SELECT 
			            c.id, 
						idi.nombre AS name
					FROM cms_categorias c
					INNER JOIN cms_categorias_i18n idi
					ON(c.id = idi.id_categoria AND idi.id_i18n = '".$this->getLanguage()."')
					WHERE c.categoria_padre = '{$parent_id}' AND c.status = 1
					ORDER BY c.orden ASC";
	
			$resp = $this->get($sql);

			return $resp;
		}

		public function getCategoryById($id){
			$sql = "SELECT c.id as id, idi.nombre AS name, idi.descripcion AS description,
					seo_titulo,
					meta_description,
					meta_keywords
					FROM cms_categorias c
					LEFT JOIN cms_categorias_i18n idi
					ON(c.id = idi.id_categoria AND idi.id_i18n = '{$this->getLanguage()}')
					WHERE(c.id = '{$id}')";

			$resp = $this->get($sql);

			if(count($resp) > 0){
				return $resp[0];
			}else{
				return $resp;
			}
		}
		
		public function getArticleById($id){
			$sql = "SELECT 
						id_articulo AS id,
						titulo AS title,
						contenido AS content,
						seo_titulo,
						meta_description,
						meta_keywords
					FROM cms_articulos_i18n WHERE(id_articulo = '{$id}' AND id_i18n = '{$this->getLanguage()}')";

			$resp = $this->get($sql);

			if(count($resp) > 0){
				return $resp[0];
			}else{
				return $resp;
			}
		}
		
		public function getArticlesByCat($category){
			$sql = "SELECT 
						a.id, 
						b.titulo AS title,
						seo_titulo,
						meta_description,
						meta_keywords
					FROM cms_articulos a 
					INNER JOIN cms_articulos_i18n b ON (a.id = b.id_articulo AND b.id_i18n = '{$this->getLanguage()}')
					WHERE (a.id_categoria = '{$category}' AND a.publicado = 1)
					ORDER BY a.orden";
			
			$resp = $this->get($sql);
			
			return $resp;
		}
		
		public function getParentId($id){
			$sql = "SELECT id_categoria AS id, categoria_padre FROM cms_categorias_i18n WHERE (id_categoria = '{$id}')";
			$resp = $this->get($sql);
			if(count($resp) > 0){
				return $resp[0];
			}else{
				return $resp;
			}
		}
		
	}

?>