<?php
abstract class Model{
	
	private $bd;
	private $language;
	
	public function __construct(){
		
		$this->bd    = new MySQL(BD_HOST, BD_NAME, BD_USER, BD_PASSWORD);
		
		//ver si existe el lenguage
		$sql = "SELECT id FROM idiomas_i18n WHERE (code = '".LANGUAGE."')";
		$resp = $this->get($sql);
		if(count($resp) > 0){
			$this->language = $resp[0]['id'];
		}else{
			$sql = "SELECT id FROM idiomas_i18n WHERE (code = '".DEFAULT_LANGUAGE."')";
			$resp = $this->get($sql);
			$this->language = $resp[0]['id'];
		}
	}
	
	protected function get($sql){
        $datas  = $this->bd->get($sql);
        return $datas;
    }
    
    protected function set($sql){
        $this->bd->set($sql);
    }
	
    public function close(){
    	$this->bd->close();
    }
    
    protected function getLanguage(){
    	return $this->language;
    }
    
}//class
?>