<?php
	//security
	if(!defined('IS_INDEX') || IS_INDEX != true){
		exit();
	}
?>
<div id="content_contact">

	<div class='title_section_header'>

		<h1><?= $language['title'] ?></h1>

	</div>
	<div class='maps'>
		<img src="<?= PATH_IMG?>logo_maps.png" class='img_sec'/> <span class='title_sec'>UBICACI&Oacute;N DE OFICINAS</span>

		<div style='clear:both'></div>

		<div class='map'>
			<div class='map_merida' id='map_merida'></div><br>
			<h1 style='font-size:19px;font-weight:bold;color:#000'>M&Eacute;RIDA</h1><br>
			<p style='font-size:13px;'>
				KM 28 Perif&eacute;rico Norte Col.Santa Gertrudis Copó<br>
				M&eacute;rida, Yucat&aacute;n, M&eacute;xico. CP 97300
			</p>
		</div>
		<div class='map'>
			<div class='map_cancun' id='map_cancun'></div><br>
			<h1 style='font-size:19px;font-weight:bold;color:#000'>CANC&Uacute;N</h1><br>
			<p style='font-size:13px;'>
				Carretera Federal Canc&uacute;n M&eacute;rida KM 22 Fracc. A<br>
				Alfredo V. Bonfil Pol&iacute;gono 4 Benito Juarez Quintana<br>
				Roo, M&eacute;xico CP 77560
			</p>
		</div>
		<div style='clear:both'></div>
	</div>

	<hr>

	<div class='contact_information'>

		<img src="<?= PATH_IMG?>logo_tel.png" class='img_sec'/> <span class='title_sec'>N&Uacute;MERO TELEF&Oacute;NICOS</span>
		<div style='clear:both'></div>
		<div class='contact_telephones'>
			<b>01800 942 9090</b><br>
			<label>(Lada sin costo)</label><br><br>

			<label>Tel&eacute;fono: (999) 942 9090</label><br><br>
			<label>Nextel: 999 240 1540</label><br><br>
			<label>Nextel ID: 62* 172975*1</label><br><br>
			<label>Telcel: (999) 900 5085</label>
		</div>

		<hr style='width:80%;margin-left:0px;'>

		<div style='clear:both'></div><br>

		<img src="<?= PATH_IMG?>logo_email.png" class='img_sec'/> <span class='title_sec'>CORREOS ELECTR&Oacute;NICOS</span>
		<div style='clear:both'></div>
		<div class='contact_emails'>

			<b>Log&iacute;stica</b><br>
			<label style='color:#d11012'>logistica@abimerhi.com</label><br><br>

			<b>Administraci&oacute;n</b><br>
			<label style='color:#d11012'>administracion@abimerhi.com</label><br><br>

			<b>Gerencia</b><br>
			<label style='color:#d11012'>gruas@abimerhi.com</label>

		</div>
		<div style='clear:both'></div>
	</div>

	<div id="contact_info">

		<?php echo $contacto['informacion'];?>

		<?php 
			if(count($errors) > 0){
				echo "<ul id='errors'>";
				foreach($errors as $error){
					echo "<li>$error</li>";
				}
				echo "</ul>";
			}
			
			if($success != ""){
				echo "<div id='success'>$success</div>";
			}
		?>

		<form id="form" method="post" action="./index.php?r=contact">
			<div class='form'>
				<div class='row'>
					<span class='label'>*<?= $language['input_name'] ?>:</span>
					<div class='input'><input type="text" name="data[name]" value="<?=$data['name']?>"></div>
				</div>
				

				<div class='row'>
					<span class='label'>*<?= $language['input_email'] ?>:</span>
					<div class='input' ><input type="text" name="data[email]" value="<?=$data['email']?>"></div>
				</div>

				<div class='row'>
					<span class='label'>*Ciudad:</span>
					<div class='input' ><input type="text" name="data[city]" value="<?=$data['city']?>"></div>
				</div>

				<div class='row'>
					<span class='label'>*<?= $language['input_phone'] ?>:</span>
					<div class='input'><input type="text" name="data[telephone]" value="<?=$data['telephone']?>"></div>
				</div>
				
				
				<div class='row'>
					<span class='label'>*Comentarios:</span>
					<div class='input'><textarea style='height:150px;' name="data[comments]"><?= $data['comments']?></textarea></div>
				</div>

				<div class='row'>
					<span class='label'>&nbsp;</span>
					<div class='input'>
						<input type="button" onclick="reiniciar(); return false" value="<?= $language['btn_reset'] ?>">
						<input type="submit" value="<?= $language['btn_send'] ?>">
					</div>
				</div>
				<div style='clear: both'></div>
				<div class='row'>
					<label style='font-size:10px;color:red;'>* Campos requeridos</label>
				</div>
				
				<div style='clear: both'></div>
			</div>			
		</form>
	</div>
	<div style='clear: both'></div>
</div>

<script type="text/javascript">
	function reiniciar(){
		$('#form input[type="text"]').each(function(){
			$(this).val('');
		});

		$('#form select').each(function(){
			$(this).val('');
		});

		$('#form textarea').val('');
	}
</script>

<script src="https://maps.googleapis.com/maps/api/js?v=3.exp"></script>
<script type="text/javascript">

	$(document).ready(function(){
		var c = '21.0404272,-89.6013523,17.75';
		c 	  = c.split(',');
		var coordinates = {
			name:    'Abimerhi Merida',
			address: 'KM 28 Periférico Norte Col.Santa Gertrudis Copó, Mérida, Yucatán, México. CP 97300',
			lat:     c[0],
			lon:     c[1]
		};
		var div = 'map_merida';
		printMap(coordinates, div);

		var c2 = '21.0850077,-86.8440241,17';
		c2 	  = c2.split(',');
		var coordinates2 = {
			name:    'Abimerhi Cancun',
			address: 'Carretera Federal Cancún Mérida KM 22 Fracc. A Alfredo V. Bonfil Polígono 4 Benito Juarez QuintanaRoo, México CP 77560',
			lat:     c2[0],
			lon:     c2[1]
		};
		var div2 = 'map_cancun';
		printMap(coordinates2, div2);
	});

	function printMap(coordenada, div){

    	var canvas = document.getElementById(div);

        if(canvas != null){      
            //mapa
            var myOptions = {

                zoom:         17,

                center:       new google.maps.LatLng(coordenada.lat, coordenada.lon),

                mapTypeId:    google.maps.MapTypeId.ROADMAP,
                scrollwheel: false,
                draggable: false

            }

            var map = new google.maps.Map(canvas, myOptions); 

            //info

            var contentString = '';

            contentString += '<div>';

            contentString += '<span style="color:#A83E17;">' + coordenada.name + '</span><br />';

            contentString += '<span style="color:#333333;">' + coordenada.address + '</span>';

            contentString += '</div>';

            var infowindow = new google.maps.InfoWindow({content: contentString});

            var markerImage = "<?= PATH_VIEWS ?>/<?= TEMPLATE ?>/img/marker.png";

            var marker = new google.maps.Marker({

                                position:   new google.maps.LatLng(coordenada.lat, coordenada.lon),

                                map:        map,

                                title:      coordenada.name,

                                icon:       markerImage

                         });

            google.maps.event.addListener(marker, 'click', function() {infowindow.open(map,marker);});

        }//fin de if

    }//fin fun

    $(document).ready(function(){
    	var alto_div = $('#contact_info').height();
    	$("#address_office").css({"height":alto_div+"px"});
	});
</script>