<?php 
	//security
	if(!defined('IS_INDEX') || IS_INDEX != true){
		exit();
	}
?>

<div id="product_content">
	<div id='menu_izquierda' class="menu_responsivo">
		<ul>
			<li><a href="./index.php?r=product"><?= $language['title'] ?></a></li>
			<?php 
				foreach($categories as $category){
					if($product['id_categoria'] == $category['id']){
						$actual_category = $category['name'];
						echo "<li><a href='./index.php?r=product&category=".$category['id']."' class='active'>".$category['name']."</a></li>";
					}else{
						echo "<li><a href='./index.php?r=product&category=".$category['id']."'>".$category['name']."</a></li>";
					}
				}
			?>
		</ul>
	</div>
	<div id="product_detail">
		<div id="movil_return_btn"><a href="./index.php?r=product&category=<?= $product['id_categoria'] ?>"><i class="fa fa-angle-double-left"></i>&nbsp;<?= $language['return_to'].$actual_category ?></a></div>
		<div id="product_image"><img src="<?= PATH_FILES ?>productos/productos/<?= $product['id'] ?>.<?= $product['tipo'] ?>" alt=""></div>
		<div id="product_descrip">
			<h2><?= $product['name'] ?></h2>
			<div class="product_descrip"><?= $product['content'] ?></div>
			<div><a href="./index.php?r=contact" id="contact_us"><?= $language['contact_us'] ?></a></div>
			<div><i class="fa fa-envelope"></i>&nbsp;&nbsp;<a href="#" id="send_friend"><?= $language['send'] ?></a></div>
			<div class="share_div">
				<span class='st_sharethis_large' displayText='ShareThis'></span>
				<span class='st_facebook_large' displayText='Facebook'></span>
				<span class='st_twitter_large' displayText='Tweet'></span>
				<span class='st_linkedin_large' displayText='LinkedIn'></span>
				<span class='st_email_large' displayText='Email'></span>
				<span class='st_pinterest_large' displayText='Pinterest'></span>
			</div>
		</div>
	</div>
	<div style='clear:both;'></div>
	<div id='menu_abajo' class="menu_responsivo">
		<ul>
			<?php 
				foreach($categories as $category){
					if($product['id_categoria'] == $category['id']){
						echo "<li><a href='./index.php?r=product&category=".$category['id']."' class='active'>".$category['name']."</a></li>";
					}else{
						echo "<li><a href='./index.php?r=product&category=".$category['id']."'>".$category['name']."</a></li>";
					}
				}
			?>
		</ul>
	</div>
</div>

<div id="myModal" class="reveal-modal">
     <h1><?= $language['send'] ?></h1>
     <div id="modal_image">
     	<img src="<?= PATH_FILES ?>productos/productos/<?= $product['id'] ?>.<?= $product['tipo'] ?>" alt="">
     </div>
     <div id="modal_form">
     	<div id="modal_message"></div>
     	<form id="sendFriendForm" action="./index.php?r=product-sendToFriend">
     		<label for=""><span class="required">*</span>&nbsp;<?= $language['name'] ?></label>
     		<input type="text" name="name" value="">
     		<div style="clear:both"></div>
     		
     		<label for=""><span class="required">*</span>&nbsp;<?= $language['email'] ?></label>
     		<input type="text" name="email" value="">
			<div style="clear:both"></div>

			<label for=""><span class="required">*</span>&nbsp;<?= $language['friend_name'] ?></label>
			<input type="text" name="friend_name">
			<div style="clear:both"></div>
			
			<label for=""><span class="required">*</span>&nbsp;<?= $language['friend_email'] ?></label>
			<input type="text" name="friend_email">
			<div style="clear:both"></div>
			
			<label for=""><?= $language['comments'] ?></label>
			<textarea name="comments" cols="30" rows="10"></textarea>
			<div style="clear:both"></div>

			<input type="hidden" name="image" value="<?= PATH_FILES ?>productos/productos/<?= $product['id'] ?>.<?= $product['tipo'] ?>">
			<input type="hidden" name="product_url" value="<?= $_SERVER["SERVER_NAME"].$_SERVER["REQUEST_URI"] ?>">
			<input type="hidden" name="product_name" value="<?= $product['name'] ?>">

			<input type="submit" value="<?= $language['sendForm'] ?>">
     	</form>
     </div>
     <a class="close-reveal-modal">&#215;</a>
</div>

<script type="text/javascript">
	$('#send_friend').click(function(event){
		event.preventDefault();
		$('#modal_message').css('display', 'none').html('');
		resetForm();
		$('#myModal').reveal();
	});

	$('#sendFriendForm').on('submit', function(event){
		event.preventDefault();
		var data    = $(this).serialize();
		var success = "<?= $language['success'] ?>";
		$('#modal_message').css('display', 'none').html('');
		$.ajax({
			type:     'POST',
			url:      $(this).attr('action'),
			data:     data,
			dataType: 'json',
			success: function(response){
				if(response.length == 0){
					$('#modal_message').addClass('success').html(success);
					$('#modal_message').css('display', 'block');
					resetForm();
				}else{
					$('#modal_message').removeClass('success').html('');
					var errors = "";
					errors += "<ul id='errors'>";
					for(var i in response){
						errors += "<li>"+response[i]+"</li>";
					}
					errors += "</ul>";
					$('#modal_message').html(errors);
					$('#modal_message').css('display', 'block');
				}
			}
		});
	});

	function resetForm(){
		$('#sendFriendForm input[type="text"]').each(function(){
			$(this).val('');
		});

		$('#sendFriendForm textarea').val('');
	}
</script>