<?php
	//security
	if(!defined('IS_INDEX') || IS_INDEX != true){
		exit();
	}
?>
<div id="products_content">
	<div id='menu_izquierda' class="menu_responsivo">
		<ul>
			<?php 
				if($category_id == ""){
					echo "<li><a href='./index.php?r=product' class='active'>".$language['title']."</a></li>";
				}else{
					echo "<li><a href='./index.php?r=product'>".$language['title']."</a></li>";
				}
			?>
			
			<?php 
				foreach($categories as $category){
					if($category_id == $category['id']){
						$actual_category = $category['name'];
						echo "<li><a href='./index.php?r=product&category=".$category['id']."' class='active'>".$category['name']."</a></li>";
					}else{
						echo "<li><a href='./index.php?r=product&category=".$category['id']."'>".$category['name']."</a></li>";
					}
				}
			?>
		</ul>
	</div>
	<div id="products_list">
		<?php
			if($category_id != ""){
				if(count($products) > 0){
					echo "<div id='movil_return_btn'><a href='./index.php?r=product'><i class='fa fa-angle-double-left'></i>&nbsp;".$language['return_to'].$language['title']."</a></div>";
					echo "<div id='actual_category'>".$actual_category."</div>";
					foreach ($products as $product) {
						echo "<div class='product_div'>";
							echo "<div class='product_image'>";
								echo "<a href='./index.php?r=product-detail&id=".$product['id']."'>";
									$path = PATH_FILES."productos/productos";
									$img  = $product['id'].".".$product['tipo'];
									echo "<img src='".$path."/".$img."' />";
								echo "</a>";
							echo "</div>";
							echo "<div class='product_name'>";
								echo "<a href='./index.php?r=product-detail&id=".$product['id']."'>".$product['name']."</a>";
							echo "</div>";
						echo "</div>";
					}
					echo "<div style='clear:both;'></div>";
					echo $pagination;
				}else{
					echo "<div id='error'>".$language['no_products']."</div>";
				}
			}else{
				foreach ($categories as $category) {
					echo "<div class='category_div'>";
						echo "<div class='category_image'>";
							echo "<a href='./index.php?r=product&category=".$category['id']."'>";
								$path = PATH_FILES."productos/categorias";
								$img  = $category['id'].".".$category['tipo'];
								/*$size = "200x187";
								$thumb = formatImage($path, $img, $size);*/
								echo "<img src='".$path."/".$img."'>";
							echo "</a>";
						echo "</div>";
						echo "<div class='category_name'>";
							echo "<a href='./index.php?r=product&category=".$category['id']."'>".$category['name']."</a>";
						echo "</div>";
					echo "</div>";
				}
			}
		?>
	</div>
	<div style='clear:both;'></div>
	<div id='menu_abajo' class="menu_responsivo">
		<ul>
			<?php 
				if($category_id == ""){
					echo "<li><a href='./index.php?r=product' class='active'>".$language['title']."</a></li>";
				}else{
					echo "<li><a href='./index.php?r=product'>".$language['title']."</a></li>";
				}
			?>
			
			<?php 
				foreach($categories as $category){
					if($category_id == $category['id']){
						echo "<li><a href='./index.php?r=product&category=".$category['id']."' class='active'>".$category['name']."</a></li>";
					}else{
						echo "<li><a href='./index.php?r=product&category=".$category['id']."'>".$category['name']."</a></li>";
					}
				}
			?>
		</ul>
	</div>
</div>