<?php
class BotonAccion {
    private $texto      ="---";
    private $datoHref   ="#";
    private $id         ="";
    private $class      ="";
    
    private $validado=true;
    
    public function __construct($texto,$datoHref,$id,$class=''){
        $this->texto=$texto;
        $this->datoHref=$datoHref;
        $this->id=$id;
        $this->class=$class;
    }
    
    public function validarPermisoUsuario($permiso,$arrayPermisos){
        if(in_array($permiso, $arrayPermisos)){
           $this->validado = true;
        }else{
           $this->validado = false;
        }
    }


    public function obtenerHTML($forzarTexto=false){
        if($this->validado){
            return "<a class='$this->class' href='$this->datoHref' id='$this->id' >$this->texto</a>";    
        }else{
            if($forzarTexto){
                return "$this->texto";
            }else{
                return "";
            }
        }
    }
    
}

?>
