var InputTypeFileColorbox = function(string_name, string_pathThumb, string_pathPopup){
    this.name      = string_name;
    this.pathThumb = string_pathThumb;
    this.pathPopup = string_pathPopup;
    
    this.content = $("<div>");
    if(this.pathThumb == ""){
        this.showControl();
	}else{
        this.showImage();
	}
    return this;
}

InputTypeFileColorbox.prototype.showControl = function(){
    //fix closuse
    var that = this;
    
    var inputFile = $("<input type='file'>").attr("name", this.name);
    this.content.html(inputFile);
    if(this.pathThumb != ""){
        var a = $("<a>").attr("href", "#").html("Cancelar").click(function(){that.showImage();return false;});
        this.content.append(a);
    }
}

InputTypeFileColorbox.prototype.showImage = function(){
    //fix closuse
    var that = this;
    
    var image  = $("<img>").attr("src",this.pathThumb).css("border","solid #cccccc 1px");
    var a_colorbox = $("<a>").attr("href", this.pathPopup).attr("rel", 'colorbox').html(image).colorbox();
    this.content.html(a_colorbox);
    
    var a = $("<a>").attr("href", "#").html("Eliminar / Editar").click(function(){that.showControl();return false;});
    this.content.append(a);
}

InputTypeFileColorbox.prototype.getView = function(){
    return this.content;
}