<?php
class MenuHorizontal {

    private $raices=array();


    public function agregarRaiz($id,$ancho){//el parametro debe de ser un array
        $this->raices[$id]['id']=$id;
        $this->raices[$id]['ancho']=$ancho;
    }

    

    public function agregarItem_Articulo($id_raiz,$opciones){//opciones
        $this->raices[$id_raiz]['items'][]=array("tipo" => "ARTICULO","opciones" => $opciones);
    }

    public function agregarItem_Categoria($id_raiz,$opciones){
        $this->raices[$id_raiz]['items'][]=array("tipo" => "CATEGORIA","opciones" => $opciones);
    }

    public function agregarItem_URL($id_raiz,$opciones){
        $this->raices[$id_raiz]['items'][]=array("tipo" => "URL","opciones" => $opciones);
    }

    function obtenerHtml(){
        $html="";
        $contadorAnchos=0;
        
        $html .="<div id='menuPrincipal'><ul>";
        for ($i=0; $i < count($this->raices);$i++){
            $keys = array_keys($this->raices);
            $raiz = $this->raices[$keys[$i]];
            
            if(count($raiz['items']) == 1){//imprimir tipo boton
                $item = $raiz['items'][0];//text, url, mode

                if($item[tipo]=='URL'){
                    $html .= $this->html_item_URL($item,$i,$contadorAnchos);
                }else if($item[tipo] == "CATEGORIA"){
                    $html .= $this->html_item_Categoria($item,$i,$contadorAnchos);
                }else if($item[tipo] == "ARTICULO"){//mas tipos de items
                    $html .= $this->html_item_Articulo($item,$i,$contadorAnchos);
                }
                
            }else {//imprimir tipo menu
                $items = $raiz['items'];//text, url, mode
                
                $text=$items[0]['opciones'][0];
                $url=$items[0]['opciones'][1];
                $modo=$items[0]['opciones'][2];

                //echo $modo;
                if($item[tipo]=='URL'){
                    $html .="<li>";
                    $html .="<a  id='menuPrincipal_item".($i+1)."' onmouseover=\"MenuRaizSeleccionada('menuPrincipal_item".($i+1)."',  -$contadorAnchos);\" onmouseout=\"MenuRaizDeseleccionada('menuPrincipal_item".($i+1)."', -$contadorAnchos);\" href='$url' target='$modo'>$text</a>";
                }else if($item[tipo]=='CATEGORIA'){
                    //codigo aqui.
                }

                $html .="<ul>";
                for($k=1; $k<count ($raiz[items]); $k++){
                    //print_r($items[$k]);
                    if($items[$k]['tipo']=="URL"){
                        $text=  $items[$k]['opciones'][0];
                        $url=   $items[$k]['opciones'][1];
                        $modo=  $items[$k]['opciones'][2];
                        //print_r ($raiz['items'][0]);
                        $html .="<li>
                                    <a  onmouseover=\"MenuRaizSeleccionada('menuPrincipal_item".($i+1)."',-$contadorAnchos);\"
                                    onmouseout=\"MenuRaizDeseleccionada('menuPrincipal_item".($i+1)."',-$contadorAnchos);\"
                                    href='$url' target='$modo'>$text</a>
                                </li>";
                        
                    }else if ($items[$k]['tipo']=="CATEGORIA"){

                        


                        $id_idioma      = 1;/*1 es español*/
                        $id_categoria   = $items[$k]['opciones'][1];/*url_sufix + id*/
                        $url_sufix      = $items[$k]['opciones'][0];/*oferta-educativa.php?id=*/

                        $articulos=new articulo_model();
                        $filtros=array("id_categoria"=>$id_categoria, "idioma"=>$id_idioma);
                        $info_articulos=$articulos->seleccionar($filtros);

                        if(mysql_num_rows($info_articulos) > 0){
                            while($fila2 = mysql_fetch_assoc($info_articulos)){

                                //print_r($fila2);
                                if($fila2['id'] != 58 && $fila2['id'] != 53){/*menos quienes somos y contacto*/
                                    if($fila2['url_seo'] !=""){ $urlFinal=$fila2['url_seo']; }else{ $urlFinal=$fila2['id'];}
                                    $html .="<li>
                                        <a onmouseover=\"MenuRaizSeleccionada('menuPrincipal_item".($i+1)."',-$contadorAnchos);\" onmouseout=\"MenuRaizDeseleccionada('menuPrincipal_item".($i+1)."',-$contadorAnchos);\"href='$url_sufix$urlFinal'>{$fila2['titulo']}</a>
                                    </li>";
                                }
                            }//while
                        }






                    }
                }
                $html .="</ul>";
                $html .="</li>";
                //print_r($raiz['items']);
            }
            


            $contadorAnchos+=$raiz['ancho'];
        }
        $html .= '</ul></div>';
        return $html;
    }

    private function html_item_URL($item,$i,$contadorAnchos){

        $text=  $item['opciones'][0];
        $url=   $item['opciones'][1];
        $modo=  $item['opciones'][2];

        $html ="<li>
                    <a id='menuPrincipal_item".($i+1)."' onmouseover=\"MenuRaizSeleccionada('menuPrincipal_item".($i+1)."',  -$contadorAnchos);\" onmouseout=\"MenuRaizDeseleccionada('menuPrincipal_item".($i+1)."', -$contadorAnchos);\" href='$url' target='$modo'>$text</a>
                </li>";
        
        return $html;
    }

    private function html_item_Articulo($item,$i,$contadorAnchos){

    }
    
    private function html_item_Categoria($item,$i,$contadorAnchos){

        $id_idioma      = 1;/*1 es español*/
        $id_categoria   = $item['opciones'][1];/*url_sufix + id*/
        $url_sufix      = $item['opciones'][0];/*oferta-educativa.php?id=*/
        $pagina_indice  = $item['opciones'][2];/*oferta-educativa.php?id=*/

        $categoria = new categoria_model();
        $tmp=mysql_fetch_assoc($categoria->seleccionarPorId($id_categoria,$id_idioma));
        $nombreCategoria=$tmp['nombre'];

        $articulos=new articulo_model();
        $filtros=array("id_categoria"=>$id_categoria, "idioma"=>$id_idioma);
        $info_articulos=$articulos->seleccionar($filtros);

        
        $html .="<li>";

        if($pagina_indice ==""){
            $html .="<a  id='menuPrincipal_item".($i+1)."' onmouseover=\"MenuRaizSeleccionada('menuPrincipal_item".($i+1)."',  -$contadorAnchos);\" onmouseout=\"MenuRaizDeseleccionada('menuPrincipal_item".($i+1)."', -$contadorAnchos);\" href='' onclick='return false;'>$nombreCategoria</a>";
        }else{
            $html .="<a  id='menuPrincipal_item".($i+1)."' onmouseover=\"MenuRaizSeleccionada('menuPrincipal_item".($i+1)."',  -$contadorAnchos);\" onmouseout=\"MenuRaizDeseleccionada('menuPrincipal_item".($i+1)."', -$contadorAnchos);\" href='$pagina_indice' >$nombreCategoria</a>";
        }
        if(mysql_num_rows($info_articulos) > 0){
            $html .= "<ul>";
            while($fila2 = mysql_fetch_assoc($info_articulos)){
            if($fila2['url_seo'] !=""){ $urlFinal=$fila2['url_seo']; }else{ $urlFinal=$fila2['id'];}
                $html .="<li>
                            <a onmouseover=\"MenuRaizSeleccionada('menuPrincipal_item".($i+1)."',-$contadorAnchos);\" onmouseout=\"MenuRaizDeseleccionada('menuPrincipal_item".($i+1)."',-$contadorAnchos);\"href='$url_sufix$urlFinal'>{$fila2['titulo']}</a>
                        </li>";
            }
            $html .="</ul>";
        }
        $html .="</li>";
        return $html;
    }
    
    
    
    //sleccionar los items de la raiz
}//fin de class
?>
