<?php

class Ruter{
	
    private $dirModulos;

    private $modulo;
    private $controlador;
    private $accion;
    private $manejadorError="index.php?modulo=common&controlador=error&accion=ruter";

    public function __construct($dirModulos,$modulo,$controlador,$accion=""){

        $this->dirModulos=$dirModulos;
        $this->modulo=$modulo;
        $this->controlador=$controlador;

        if($accion==""){
                $this->accion="index";
        }else{
                $this->accion=$accion;	
        }

        $this->Require_once_archivo();
        $this->crearObjeto();	
    }

    private function Require_once_archivo(){
        $dirArchivo=$this->dirModulos."/".$this->modulo."/".$this->controlador."_controller.php";
        if(is_file($dirArchivo)){
                require_once($dirArchivo);	
        }else{
            //die('El controlador: <b>'.$dirArchivo.'</b> no existe - 404 not found');
            header("location:$this->manejadorError");
            exit();
        }
    }

    private function crearObjeto(){
        $clase=$this->controlador."_controller";
        $obj= new $clase();
        $metodo=$this->accion;
        if(is_callable(array($obj,$metodo))){
            $obj->$metodo();
        }else{
            //die('La accion <b>'.$metodo.'</b> no existe - 404 not found');
            header("location:$this->manejadorError");
            exit();
        }
    }
}//fin de class

?>