<?php
require_once('Navegador.class.php');
class View {

    protected $dirVistas;
    protected $arrayVistas=array();
    protected $ext = "php";
    
    public function __construct($dir) {
        $this->dirVistas = $dir;
    }
    
    /*esta funcion no esta implementada siempre regresa ff= fire fox*/
    public function detectarTipoNavegador(){
        $navegador=new Navegador();
        return $navegador->getTipoNavegador(); 
    }
    
    public function agregarVista($nombreVista,$arrayDatos){
        
        //agregamos a la tabla de simbolos los datos pasados desde el exterior
        extract($arrayDatos);
        
        ob_start();
        
        if ( $this->detectarTipoNavegador() == "movil"){
            require_once $this->dirVistas."/movil/$nombreVista.$this->ext";
        }else{
            require_once $this->dirVistas."/web/$nombreVista.$this->ext";
        }
        
        $this->arrayVistas[] = ob_get_contents();
        ob_end_clean();
        
    }
    
    public function render(){
        
        foreach($this->arrayVistas as $vista){
            echo $this->comprimirVista($vista);
        }
        
    }
    
    protected function comprimirVista($vista){
        
        return $vista;
        
    }
}

?>
