<?php

class contacto_controller{
	
	public function __construct(){
		require_once DIR_MODEL.'/idioma/i18n_model.php';
		require_once DIR_MODEL.'/settings/contacto_model.php';
	}
		
	public function modificar(){
				
		if($_SERVER['REQUEST_METHOD'] == "POST"){
			$contacto = $_POST['contacto'];
			/*print_r($contacto); exit();
			exit();*/
			$errors = $this->validate($contacto);
			
			if(count($errors) == 0){
				$conexionContacto = new contacto_model();
				$id = toArray($conexionContacto->seleccionar());
				$conexionContacto->actualizar($id[0]['id'], $contacto);
				$success = "Los cambios se guardaron con exito";
			}
			
		}else{
			$errors = array();
			$success = "";
		}
		
		$conexionI18n = new i18n_model();
        $idiomas	  = toArray($conexionI18n->seleccionar());
        
        $conexionContacto = new contacto_model();
       	$numDatos 		  = toArray($conexionContacto->seleccionar());
       	       	
       	if(count($numDatos) > 0){
       		$cont = toArray($conexionContacto->selecionarPorId($numDatos[0]['id']));
       		$contacto['emails'] = explode("-", $cont[0]['emails']);
       		$contacto['mapa']  = $cont[0]['mapa'];
       	}else{
       		$contacto['emails'] = array();
       		$contacto['mapa']  = "";
       	} 
       	       	
        $i = 0;
       	foreach ($idiomas as $fila){
       		$contacto['contenido'][$i]['id_i18n'] = $fila['id'];
       		$contacto['contenido'][$i]['idioma']  = $fila['idioma'];
			$conexionContacto = new contacto_model();
			$numDatos = toArray($conexionContacto->seleccionar());
       		if(count($numDatos) > 0){
       			$datos = toArray($conexionContacto->selecionarPorId_e_Idioma($numDatos[0]['id'], $fila['id']));
       			$contacto['contenido'][$i]['informacion'] = $datos[0]['informacion'];
       		}else{
       			$contacto['contenido'][$i]['informacion'] = "";
       		}
       		$i++;
       	}
       	       
        require DIR_TEMPLATES.'common/header.tpl';
		require DIR_TEMPLATES.'settings/contacto_form.php';
		require DIR_TEMPLATES.'common/footer.tpl';
    		
	}
	
	private function validate($data){
		$erros = array();
		
		if($data['mapa'] == ''){
			$erros[] = "Seleccione una ubicacion en el mapa";
		}
		
		if(count($data['emails']) == 0){
			$erros[] = "Ingrese al menos un correo de contacto";
		}
				
		return $erros;
	}
	
}

?>
