<?php
class usuario_controller {
	
    public function __construct(){
        require_once DIR_MODEL.'/usuario/usuario_model.php';
    }

    public function mostrar(){
		$conexionUsuario=new usuario_model();
		$filtros=$_REQUEST["filtros"];//array para enviar a la vista
		$cantResultados=mysql_num_rows($conexionUsuario->seleccionar($filtros));
		$paginacion=new Paginacion($cantResultados,$_REQUEST["pagActual"],TAMANO_PAGINA);
        $paginacion->establecerUrl("./index.php?modulo=usuario&controlador=usuario&accion=mostrar");
        $paginacion->agregarFiltros($filtros);
        $paginacion->establecerVariablePagina("pagActual");
		$usuarios=$conexionUsuario->seleccionar($filtros,$paginacion->obtenerCantMostrar(),$paginacion->obtenerSiguienteRegistro());
        
    	if(isset($_SESSION['success'])){
        	$success = $_SESSION['success'];
        	unset($_SESSION['success']);
        }else{
        	$success = "";
        }
		
		require DIR_TEMPLATES.'common/header.tpl';
        require DIR_TEMPLATES.'usuario/usuario_tabla.php';
		require DIR_TEMPLATES.'common/footer.tpl';
    }

    public function agregar(){
    
    	if($_SERVER['REQUEST_METHOD'] == 'POST'){
    		$usuario=$_POST["usuario"];
    		$errors = $this->validar($usuario);
    		if(count($errors) == 0){
    			unset ($usuario["password_confirmacion"]);
    			$conexionUsuario=new usuario_model();
    			$conexionUsuario->insertar($usuario);
    			$_SESSION['success'] = "Los datos se han guardado correctamente.";
	            header("location: ./index.php?modulo=usuario&controlador=usuario&accion=mostrar");
	            exit();	
    		}
    		
    	}else{
    		$errors = array();
    	}
    	
    	$modulos=new Modulo(DIR_CONTROLLER);
        $modulos=$modulos->obtenerModulos();
        $mod = FALSE;
    	                
        require DIR_TEMPLATES.'common/header.tpl';
        require DIR_TEMPLATES.'usuario/usuario_form.php';
        require DIR_TEMPLATES.'common/footer.tpl';
        
      }//fin agregar

    public function modificar(){
    	    	
    	if(isset($_GET["id"])){
    		$id=$_GET["id"];
    		$mod = TRUE;
    	}else{
    		header("location: ./index.php?modulo=usuario&controlador=usuario&accion=mostrar");
	        exit();	
    	}
    	
    	if($_SERVER['REQUEST_METHOD'] == 'POST'){
    		$usuario=$_POST["usuario"];
    		$errors = $this->validarModify($usuario);
    		if(count($errors) == 0){
    			if($usuario['password'] == STRING_EMPTY){
    				unset($usuario["password"]);
    				unset ($usuario["password_confirmacion"]);
    			}
    			$conexionUsuario=new usuario_model();
    			$conexionUsuario->actualizar($id,$usuario);
    			$_SESSION['success'] = "Los datos se han guardado correctamente.";
	            header("location: ./index.php?modulo=usuario&controlador=usuario&accion=mostrar");
	            exit();	
    		}else{
    			$conexionUsuario=new usuario_model();
    			$tmp = $conexionUsuario->seleccionar(array("id"=>$id));
    			$tmp = mysql_fetch_assoc($tmp);
    			$usuario['email'] = $tmp['email'];
    		}
    	}else{
    		$conexionUsuario=new usuario_model();
    		$usuario=$conexionUsuario->seleccionar(array("id"=>$id));
            $usuario=mysql_fetch_assoc($usuario);
            $usuario['password'] = STRING_EMPTY;
            $modulosUsuario=new usuario_model();
            $permisos = $modulosUsuario->obtenerPermisos($id);
			$errors = array();
    	}
		
    	$modulos=new Modulo(DIR_CONTROLLER);
        $modulos=$modulos->obtenerModulos();
    	
        require DIR_TEMPLATES.'common/header.tpl';
		require DIR_TEMPLATES.'usuario/usuario_form.php';
		require DIR_TEMPLATES.'common/footer.tpl'; 
       
    }//fun

	public function eliminar(){

		if(!isset($_POST["eliminar"]) || !is_array($_POST["eliminar"])){
			header("location: ./index.php?modulo=usuario&controlador=usuario&accion=mostrar");
			exit();
		}
	
		$conexionUsuario=new usuario_model();
		$conexionUsuario->eliminar($_POST["eliminar"]);
		$_SESSION['success'] = "Los elementos seleccionados se han eliminado correctamente.";
		header("location: ./index.php?modulo=usuario&controlador=usuario&accion=mostrar");
		exit();
	}
	
	public function validar($datos) {
		$errors = array();
		
		if($datos['nombre'] == ""){
			$errors[] = "Agregue un nombre";
		}
		
		if($datos['email'] == ""){
			$errors[] = "Agregue un email";
		}else{
			$conexionUsuario=new usuario_model();
			$correo = $conexionUsuario->existeEmail($datos['email']);
			if($correo == TRUE){
				$errors[] = "Ya existe un usuario registrado con esa cuenta de correo";
			}
		}
		
		if($datos['password'] == ""){
			$errors[] = "Agregue una contrasea";	
		}else{
			if($datos['password_confirmacion'] == ""){
				$errors[] = "Confirme la contrasea";
			}else{
				if($datos['password'] != $datos['password_confirmacion']){
					$errors[] = "La contrasea y la confirmacion no concuerdan";
				}
			}
		}
		
		return $errors;
			
	}
	
	public function validarModify($datos){
	
		$errors = array();
		
		if($datos['nombre'] == ""){
			$errors[] = "Agregue un nombre";
		}
		
		if($datos['password'] == ""){
			$errors[] = "Agregue una contrasea";	
		}else{
			if($datos['password'] != STRING_EMPTY){
				if($datos['password_confirmacion'] == ""){
					$errors[] = "Confirme la contrasea";
				}else{
					if($datos['password'] != $datos['password_confirmacion']){
						$errors[] = "La contrasea y la confirmacion no concuerdan";
					}
				}
			}
		}
		
		return $errors;
		
	}
}
?>