<?php
/**
 * 
 */
 class casa_model
 {
 	
 	public  function seleccionar($filtros=array(), $cantidad="", $inicio=""){
 		$sql = "SELECT c.*,
 					   idi.nombre
 					FROM casa_contenido c
 					LEFT JOIN casa_contenido_i18n idi
 					ON(c.id = idi.id_casa AND idi.id_i18n = 1)";

 		$filtrosLimpios = array();

		if($filtros ['id']     != "" )  {$filtrosLimpios[]="c.id        = '{$filtros ['id']}' AND ";}
    	if($filtros ['nombre'] != "" )  {$filtrosLimpios[]="idi.nombre	= '{$filtros ['nombre']}' AND ";}
    	if($filtros ['status'] != "" )  {$filtrosLimpios[]="c.status    = '{$filtros ['status']}' AND ";}

    	if(count($filtrosLimpios) >0){
            $cad_filtro ="WHERE ( ";
            foreach($filtrosLimpios as $filtroTmp){
                $cad_filtro .= $filtroTmp;
            }
            $pos        = strripos($cad_filtro, "AND");
            $cad_filtro = substr_replace ( $cad_filtro, " ", $pos);
            $cad_filtro .= " )";
    	}

    	$sql.=$cad_filtro;

    	if($cantidad!==""){
        //por defecto inicio es 0 si no se pasa numero
       		$sql.=" LIMIT $inicio, $cantidad ";
		}

        $resp= toArray($this->ejecutarConsulta($sql));
        return $resp;
 	}

    public function seleccionarPorId($id){
        $sql  = "SELECT * FROM casa_contenido WHERE(id = '{$id}')";
        $resp = toArray($this->ejecutarConsulta($sql));
        if(count($resp) > 0){
            return $resp[0];
        }else{
            return $resp;
        }
    }

    public function seleccionarPorIdIdioma($id, $idioma){
        $sql  = "SELECT * FROM casa_contenido_i18n WHERE(id = '{$id}' AND id_i18n = '{$idioma}')";
        $resp = toArray($this->ejecutarConsulta($sql));
        if(count($resp) > 0){
            return $resp[0];
        }else{
            return $resp;
        }
    }

    public function selecionarImagenes($id){
        $sql  = "SELECT * FROM casa_imagenes WHERE(id_casa = '{$id}') ORDER BY orden ASC";
        $resp = toArray($this->ejecutarConsulta($sql));
        return $resp;
    }

 	public function insertar($datas){
        $contenido = $datas['contenido'];
        unset($datas['contenido']);

        if(isset($datas['imagenes'])){
            $imagenes = $datas['imagenes'];
            unset($datas['imagenes']);
        }else{
            $imagenes = array();
        }


        //Insertar los datos en la tabla casa_contenido
        $sql = "INSERT INTO 
                    casa_contenido SET
                                    status              = '{$datas['status']}',
                                    orden               = '{$datas['orden']}',
                                    fecha_creacion      = '".date("Y-n-j G:i:s")."',
                                    id_usuario_creacion = '".$_SESSION['usuario']['ida']."'";

        $this->ejecutarConsulta($sql);
        $id_casa = mysql_insert_id();

        //Insertar datos en la tabla casa_contenido_i18n
        foreach ($contenido as $tmp) {
            $sql = "INSERT INTO
                        casa_contenido_i18n SET
                                             id_casa     = '{$id_casa}',
                                             id_i18n     = '{$tmp['id_i18n']}',
                                             nombre      = '{$tmp['nombre']}',
                                             descripcion = '{$tmp['descripcion']}'";

            $this->ejecutarConsulta($sql);
        }

        //Insertar datos en la tabla casa_imagenes
        foreach ($imagenes as $key => $value) {
            $sql = "INSERT INTO 
                        casa_imagenes SET
                                        id_casa = '{$id_casa}',
                                        nombre  = '',
                                        orden   = '{$value['orden']}',
                                        status  = '{$value['status']}'";

            $this->ejecutarConsulta($sql);
            $id_imagen = mysql_insert_id();
            $this->updateImage($id_imagen, $key);
        }
        
    }

 	public function actualizar($id, $datas){

        $contenido = $datas['contenido'];
        unset($datas['contenido']);

        if(isset($datas['imagenes'])){
            $imagenes = $datas['imagenes'];
            unset($datas['imagenes']);
        }else{
            $imagenes = array();
        }
        
        //Modificar datos de la tabla casa_contenido
        $sql = "UPDATE casa_contenido 
                                    SET status                  = '{$datas['status']}',
                                        orden                   = '{$datas['orden']}',
                                        fecha_modificacion      = '".date("Y-n-j G:i:s")."',
                                        id_usuario_modificacion = '".$_SESSION['usuario']['ida']."'
                                    WHERE(id = '{$id}')";

        $this->ejecutarConsulta($sql);

        //Modificar datos de la tabla casa_contenido_i18n
        foreach ($contenido as $tmp) {
            $sql  = "SELECT * FROM casa_contenido_i18n WHERE(id = '{$id}' AND id_i18n = '{$tmp['id_i18n']}')";
            $resp = $this->ejecutarConsulta($sql);
            if(mysql_num_rows($resp) == 0){
                $sql = "INSERT INTO casa_contenido_i18n SET
                                             id_casa     = '{$id}',
                                             id_i18n     = '{$tmp['id_i18n']}',
                                             nombre      = '{$tmp['nombre']}',
                                             descripcion = '{$tmp['descripcion']}'";
            }else{
                $sql = "UPDATE casa_contenido_i18n SET
                                                    nombre = '{$tmp['nombre']}',
                                                    descripcion = '{$tmp['descripcion']}'
                                                WHERE(id_casa = '{$id}' AND id_i18n = '{$tmp['id_i18n']}')";
            }

            $this->ejecutarConsulta($sql);
        }

        //Modificar los datos de la tabla casa_imagenes
        $ids_conservados       = array();//id de los elementos que se conservaran
        $elementos_nuevos      = array();//elementos para agregar
        $elementos_conservados = array();//elementos para actualizar

        foreach($imagenes as $k => $element){
            if($element['id'] != ""){
                $ids_conservados[]         = $element['id'];
                $elementos_conservados[$k] = $element;
            }else{
                $elementos_nuevos[$k] = $element;
            }
        }

        //eliminar los no conservados
        $all = $this->selecionarImagenes($id);
        foreach ($all as $element){
            if(!in_array($element['id'], $ids_conservados)){
                $this->deleteImage($element['id']);
                $sql = "DELETE FROM casa_imagenes WHERE (id = '{$element['id']}')";
                $this->ejecutarConsulta($sql);
            }
        }

        //actualizar los conservados
        foreach ($elementos_conservados as $key => $value){
            $sql = "UPDATE casa_imagenes SET
                                            orden  = '{$value["orden"]}',
                                            status = '{$value["status"]}'
                                        WHERE (id  = {$value['id']})";
            $this->ejecutarConsulta($sql);
            $this->updateImage($value['id'], $key);
        }


        //agregar los nuevos
        foreach ($elementos_nuevos as $key => $value){
            $sql = "INSERT INTO casa_imagenes SET
                                                id_casa = '{$id}',
                                                orden   = '{$value["orden"]}',
                                                status  = '{$value["status"]}'";
            $this->ejecutarConsulta($sql);
            $id_image = mysql_insert_id();
            $this->updateImage($id_image, $key);
        }
    }

 	public function eliminar($datos=array()){
        for ($i=0; $i < count($datos); $i++) { 
            $imagenes = $this->selecionarImagenes($datos[$i]);
            foreach ($imagenes as $imagen) {
                $this->deleteImage($imagen['id']);
            }

            $sql = "DELETE FROM casa_contenido WHERE(id ='{$datos[$i]}')";
            $this->ejecutarConsulta($sql);

            $sql = "DELETE FROM casa_contenido_i18n WHERE(id_casa = '{$datos[$i]}')";
            $this->ejecutarConsulta($sql);

            $sql = "DELETE FROM casa_imagenes WHERE(id_casa = '{$datos[$i]}')";
            $this->ejecutarConsulta($sql);
        }
    }

    //Funciones para manipular las imagenes
    private $types = array("image/gif", "image/jpeg", "image/png", "image/pjpeg");

    //ok
    public function updateImage($id_image, $name){
        if(isset($_FILES[$name])){
            if($_FILES[$name]['error'] == UPLOAD_ERR_OK){
                if(in_array($_FILES[$name]['type'], $this->types)){
                    $this->deleteImage($id_image);
                    $sql  = "UPDATE casa_imagenes SET nombre = '{$_FILES[$name]['name']}' WHERE (id = '$id_image')";
                    $this->ejecutarConsulta($sql);
                    $file = $id_image."-".$_FILES[$name]['name'];
                    @move_uploaded_file($_FILES[$name]['tmp_name'], "../files/casas/".$file);
                }
            }else{
                $this->deleteImage($id_image);
                $sql = "UPDATE casa_imagenes SET name = '' WHERE (id = '$id_image')";
                $this->ejecutarConsulta($sql);
            }
        }
    }
    
    //ok
    public function deleteImage($id_image){
        $sql  = "SELECT * FROM casa_imagenes WHERE id = '{$id_image}'";
        $resp = $this->ejecutarConsulta($sql);
        $foto = mysql_fetch_array($resp, MYSQL_ASSOC);
        if($foto != false){
            $file = $id_image."-".$foto["nombre"];
            @unlink("../files/casas/".$file);
            @unlink("../files/casas/80x80-".$file);
        }
    }

 	private function ejecutarConsulta($sql){
        $conector=new ConectorMySQL(MYSQL_BD,MYSQL_HOST,MYSQL_USER,MYSQL_PASSWORD);
        $resp=$conector->consultar($sql);
        return $resp;
    }

 } 
?>