<?php 
/**
* 
*/
class categoria_model
{
	
	public function seleccionar($filtros=array(), $cantidad="", $inicio=""){
		$sql = "SELECT cat.*,
					   idi.nombre AS nombre
					FROM casa_categorias cat
					LEFT JOIN casa_categorias_i18n idi ON(cat.id = idi.id_categoria AND idi.id_i18n = 1)";

		$filtrosLimpios = array();

		if($filtros ['id'] != "" )          {$filtrosLimpios[]="cat.id          = '{$filtros ['id']}' AND ";}
    	if($filtros ['nombre'] != "" )      {$filtrosLimpios[]="idi.nombre      = '{$filtros ['nombre']}' AND ";}
    	
    	if(count($filtrosLimpios) >0){
            $cad_filtro ="WHERE ( ";
            foreach($filtrosLimpios as $filtroTmp){
                $cad_filtro .= $filtroTmp;
            }
            $pos        = strripos($cad_filtro, "AND");
            $cad_filtro = substr_replace ( $cad_filtro, " ", $pos);
            $cad_filtro .= " )";
    	}

    	$sql.=$cad_filtro;

    	if($cantidad!==""){
        //por defecto inicio es 0 si no se pasa numero
       		$sql.=" LIMIT $inicio, $cantidad ";
		}

        //echo $sql;
        $resp= toArray($this->ejecutarConsulta($sql));
        return $resp;
	}

	public function seleccionarPorId($id){
		$sql = "SELECT * FROM casa_categorias WHERE(id = '{$id}')";

		$resp = toArray($this->ejecutarConsulta($sql));

		if(count($resp) > 0){
			return $resp[0];
		}else{
			return $resp;
		}
	}

	public function seleccionarPorIdIdioma($id, $id_i18n){
		$sql = "SELECT * FROM casa_categorias_i18n WHERE(id_categoria = '{$id}' AND id_i18n = '{$id_i18n}')";
		
		$resp = toArray($this->ejecutarConsulta($sql));

		if(count($resp) > 0){
			return $resp[0];
		}else{
			return $resp;
		}
	}

	public function insertar($datas){

		$contenido = $datas['contenido'];
		unset($datas['contenido']);

		/*****Insertar datos en la tabla casa_categorias*****/
		$datas["fecha_creacion"]	  = date("Y-n-j G:i:s");//2010-12-31 23:20:15
        $datas["id_usuario_creacion"] = $_SESSION['usuario']['ida'];

        $query = new Query();
        $query->insert("casa_categorias", $datas);
        $sql   = $query->obtenerConsultaSQL();
        
        $this->ejecutarConsulta($sql);

        /***Insertar datos en la tabla casa_categorias_i18n******************/

        $id_categoria = mysql_insert_id();

        foreach ($contenido as $tmp) {
        	//agregamos al array
            unset($tmp["idioma"]);
            
            $tmp["id_categoria"] = $id_categoria;
                        
            $query = new Query();
            $query->insert("casa_categorias_i18n", $tmp);
            $sql   = $query->obtenerConsultaSQL();
            $this->ejecutarConsulta($sql);
        }

	}

	public function actualizar($id, $datas){
		$contenido = $datas['contenido'];
		unset($datas['contenido']);

		/********Actualizar datos de la tabla casa_categorias**********/
		$query = new Query();
        //datos---------------
        $datas["fecha_modificacion"]      = date("Y-n-j G:i:s");//2010-12-31 23:20:15
        $datas["id_usuario_modificacion"] = $_SESSION['usuario']['ida'];

        $id_categoria = array("id" => $id);
        $query->update("casa_categorias", $id_categoria, $datas);
        $sql = $query->obtenerConsultaSQL();
        $this->ejecutarConsulta($sql);

        /*******Actualizar los datos de la tabla casa_categorias_i18n******/
        $id_categoria = mysql_insert_id();

        foreach ($contenido as $tmp){
        	
            unset($tmp['idioma']);
            //ver si el idioma ya existe en la categoria
            $sql  = "SELECT * FROM casa_categorias_i18n WHERE(id_i18n ='{$tmp["id_i18n"]}' AND id_categoria = '{$id}' )";
            $resp = $this->ejecutarConsulta($sql);
            $cantResp = mysql_num_rows($resp);
            
            if($cantResp == 0){
                $sql = "INSERT INTO casa_categorias_i18n SET
                									  id_categoria    = '$id',
                									  id_i18n	      = '{$tmp["id_i18n"]}', 
                									  nombre	      = '{$tmp["nombre"]}',
                									  descripcion     = '{$tmp["descripcion"]}')";
                
            }else{
                $sql = "UPDATE  casa_categorias_i18n SET 
                							       nombre          = '{$tmp["nombre"]}', 
                							       descripcion     = '{$tmp["descripcion"]}'
                							       WHERE (id_i18n  = '{$tmp["id_i18n"]}' AND id_categoria = '{$id}')";
            }
            
            $this->ejecutarConsulta($sql);
        }
	}

	public function eliminar($datos = array()){
		for($i=0; $i<count($datos);$i++){  
        	$query = new Query();
            $query->delete("casa_categorias", "id", $datos[$i]);
            $sql   = $query->obtenerConsultaSQL();
            $this->ejecutarConsulta($sql);

            $query = new Query();
            $query->delete("casa_categorias_i18n", "id_categoria", $datos[$i]);
            $sql   = $query->obtenerConsultaSQL();
            $this->ejecutarConsulta($sql); 
        }
	}

	private function ejecutarConsulta($sql){
        $conector=new ConectorMySQL(MYSQL_BD,MYSQL_HOST,MYSQL_USER,MYSQL_PASSWORD);
        $resp=$conector->consultar($sql);
        return $resp;
    }

}
?>