<?php
/*RESTRICCIONES:
 * 1) el lenguaje por defecto es el español
 * 2) el lenguaje por defecto no puede eliminarse ni modificarse
 * 3) no pueden eliminarse los lenguajes con categorias
 * 4) el numero maximo de idiomas es 20 (no implementado)
 *
 */

class i18n_model {

    protected $id_i18n_default=1;//el id 1 es el del español
    protected $numMaxIdiomas =10;

    public function seleccionar($filtros=array(),$cantidad="",$inicio=""){
        
        $campos=array("*");
        $orden=array("id"=>"ASC");
        //sql----------------------
        $query=new Query();
        $query->select("idiomas_i18n",$campos, $filtros,$orden,$cantidad,$inicio);
        $sql=$query->obtenerConsultaSQL();
        //consulta---------------------
        $conector=new ConectorMySQL(MYSQL_BD,MYSQL_HOST,MYSQL_USER,MYSQL_PASSWORD);
        $resp=$conector->consultar($sql);
        $conector->desconectar();
        return $resp;
    }

    public function contarTotalIdiomas(){
        return mysql_num_rows($this->seleccionar());
    }

    public function insertar($datos){
        //echo $this->contarTotalIdiomas();
        if($this->contarTotalIdiomas() < $this->numMaxIdiomas){
            //datos---------------
            $datos["fecha_creacion"]= date("Y-n-j G:i:s");
            $datos["id_usuario_creacion"]= $_SESSION['usuario']['ida'];

            $query=new Query();
            $query->insert("idiomas_i18n", $datos);
            $sql=$query->obtenerConsultaSQL();
        
            //consulta------------
            $resp=false;
            $conector=new ConectorMySQL(MYSQL_BD,MYSQL_HOST,MYSQL_USER,MYSQL_PASSWORD);
            $resp=$conector->consultar($sql);
            $conector->desconectar();
            return $resp;
        }
    }

    public function eliminar($datos=array()){
       $resp = "";
       for($i=0; $i<count($datos);$i++){
            if($datos[$i] != $this->id_i18n_default){

                $numCategorias = mysql_num_rows($this->obtenerCategorias($datos[$i]));
                                
                if($numCategorias == 0){
                    $query = new Query();
                    $query->delete("idiomas_i18n", "id", $datos[$i]);
                    $sql   = $query->obtenerConsultaSQL();

                    $conector = new ConectorMySQL(MYSQL_BD,MYSQL_HOST,MYSQL_USER,MYSQL_PASSWORD);
                    $resp     = $conector->consultar($sql);
                    $conector->desconectar();
                    
                    $this->eliminarCategoria($datos[$i]);

                }else{
                    $resp = "No puede eliminar idiomas que tengan categor&iacute;as relacionadas.";
                }
            }else{
                $resp = "No puede eliminar el idioma por default del sistema.";
            }
       }

       return $resp;
    }

    public function obtenerCategorias($idI18n){
        $sql="SELECT * FROM cms_categorias_i18n WHERE (id_i18n = $idI18n AND descripcion != '')";
        $conector=new ConectorMySQL(MYSQL_BD,MYSQL_HOST,MYSQL_USER,MYSQL_PASSWORD);
        $resp=$conector->consultar($sql);
        $conector->desconectar();
        return $resp;
    }

    public function eliminarCategoria($idI18n){
        $sql="DELETE FROM cms_categorias_i18n WHERE ( id_i18n = $idI18n )";
        $conector=new ConectorMySQL(MYSQL_BD,MYSQL_HOST,MYSQL_USER,MYSQL_PASSWORD);
        $resp=$conector->consultar($sql);
        $conector->desconectar();
    }

    public function actualizar($id,$datos){
        if($id != $this->id_i18n_default){
            //datos---------------
            $datos["fecha_modificacion"]= date("Y-n-j G:i:s");//2010-12-31 23:20:15
            $datos["id_usuario_modificacion"]= $_SESSION['usuario']['ida'];
            $id=array("id"=>$id);

            $query=new Query();
            $query->update("idiomas_i18n", $id, $datos);
            $sql=$query->obtenerConsultaSQL();

            $conector=new ConectorMySQL(MYSQL_BD,MYSQL_HOST,MYSQL_USER,MYSQL_PASSWORD);
            $resp=$conector->consultar($sql);
            $conector->desconectar();
        }
    }

}//class
?>
