<?php

class slider_model{
	
	public function seleccionar($filtros=array(),$cantidad="",$inicio=""){
		$sql = "SELECT a.*,b.id AS id_imagen, b.nombre, b.tipo
		FROM slider_slider a
		INNER JOIN slider_slider_i18n b ON (a.id = b.id_slider)
		WHERE (b.id_i18n = 1) ORDER BY (a.orden)";
		
		$filtrosLimpios=array();
		if($filtros ['id'] != "")		{$filtrosLimpios[] = "a.id     	   = '{$filtros['id']}' AND";}
		if($filtros ['publicado'] != ""){$filtrosLimpios[] = "a.publicado  = '{$filtros['orden']}' AND";}
		if($filtros ['nombre'] != "")	{$filtrosLimpios[] = "b.nombre 	   = '{$filtros['nombre']}' AND";}
		if($filtros ['orden'] != "")	{$filtrosLimpios[] = "b.orden  	   = '{$filtros['tipo']}' AND";}
	
		if(count($filtrosLimpios) > 0){
			$cad_filtro ="WHERE ( ";
            foreach($filtrosLimpios as $filtroTmp){
                $cad_filtro .=$filtroTmp;
            }
            $pos   = strripos($cad_filtro, "AND");
            $cad_filtro=substr_replace ( $cad_filtro, " ", $pos);
            $cad_filtro .=" )";
		}
		
		$sql.=$cad_filtro;
		
		if($cantidad!==""){
            //por defecto inicio es 0 si no se pasa numero
            $sql.=" LIMIT $inicio, $cantidad ";
		}
		
		$resp = toArray($this->ejecutarConsulta($sql));
        return $resp;
	}
	
	public function seleccionarPorId($id){
		$sql = "SELECT * FROM slider_slider WHERE(id = '{$id}')";
		$resp = $this->ejecutarConsulta($sql);
		return $resp;
	}
	
	public function seleccionarPorId_e_Idioma($id, $idioma){
		$sql = "SELECT * FROM slider_slider_i18n WHERE(id_slider = '{$id}' AND id_i18n = '{$idioma}')";
		$resp = $this->ejecutarConsulta($sql);
		return $resp;
	}
	
	public function insertar($data){
		$contenido = $data['contenido'];
		unset($data['contenido']);
		
		$data['id_usuario_creacion'] = $_SESSION['usuario']['id'];
		$data['fecha_creacion'] 	 = date("Y-n-j G:i:s");
		
		$query = new Query();
		$query->insert("slider_slider", $data);
        $sql   = $query->obtenerConsultaSQL();
        
        $resp      = $this->ejecutarConsulta($sql);
        $id_slider = mysql_insert_id();
        
        $i = 0;
        foreach ($contenido as $tmp){
        	unset($tmp['idioma']);
        	$tmp['id_slider'] = $id_slider;
        	$upload = new Upload($_FILES['imagen_'.$i]);
           	if($tmp['nombre'] == ""){$tmp['nombre'] = $upload->obtenerNombreUpload();}
           	$tmp['tipo'] = $upload->obtenerExtUpload();

            $query = new Query();
            $query->insert("slider_slider_i18n", $tmp);
            $sql   = $query->obtenerConsultaSQL();
            $this->ejecutarConsulta($sql);
            
            $id_img = mysql_insert_id();
            $this->uploadImage($id_img, $upload);
            $i++;
        }
            
	}
	
	public function modificar($id, $data){
		$contenido = $data['contenido'];
		unset($data['contenido']);
		
		$data['id_usuario_modificacion'] = $_SESSION['usuario']['id'];
		$data['fecha_modificacion']      = date("Y-n-j G:i:s");
		
		$id_slider = array('id' => $id);
		$query = new Query();
		$query->update("slider_slider", $id_slider, $data);
		$sql=$query->obtenerConsultaSQL();
        $resp=$this->ejecutarConsulta($sql);
        
        $i = 0;
        foreach ($contenido as $tmp){

        	if(isset($_FILES['imagen_'.$i])){
        		$upload = new Upload($_FILES['imagen_'.$i]);
        		if($upload->obtenerExtUpload() != "" && $upload->obtenerNombreUpload() != ""){
        			if($tmp['nombre'] == ""){$tmp['nombre'] = $upload->obtenerNombreUpload();}
        			$tmp['tipo'] = $upload->obtenerExtUpload();
        		}else{
        			$tmp['tipo']   = "";
        		}
        	}
        	        	  	
        	//revisar si existe
        	$sql = "SELECT * FROM slider_slider_i18n WHERE (id_slider = '{$id}' AND id_i18n = '{$tmp['id_i18n']}')";
        	$resp = $this->ejecutarConsulta($sql);
        	if(mysql_num_rows($resp) == 0){
        		if(isset($tmp['tipo'])){
        			$this->deleteImage($id, $tmp['id_i18n']);
        		}
        		$sql = "INSERT INTO slider_slider_i18n SET
        												id_slider = '{$id}',
        												id_i18n   = '{$tmp['id_i18n']}',
        												nombre    = '{$tmp['nombre']}',
        												tipo 	  = '{$tmp['tipo']}'";	
        	}else{
        		if(isset($tmp['tipo'])){
        			$this->deleteImage($id, $tmp['id_i18n']);
        		}

        		$sql = "UPDATE slider_slider_i18n SET
        										  nombre    = '{$tmp['nombre']}'";	
        		if(isset($tmp['tipo']) && $tmp['tipo'] != ""){
        			$sql = $sql.", tipo = '{$tmp['tipo']}'";
        		}
        		
        		$sql = $sql." WHERE(id_slider = '{$id}' AND id_i18n = '{$tmp['id_i18n']}')";
        	}

        	$this->ejecutarConsulta($sql);
        	
        	if(isset($tmp['tipo']) && $tmp['tipo'] != ""){
        		$img = toArray($this->seleccionarPorId_e_Idioma($id, $tmp['id_i18n'])) ;
        		$this->uploadImage($img[0]['id'], $upload);
        	}

        	$i++;
        }
	}
	
	public function eliminar($data=array()){
		for($i=0;$i<count($data);$i++){
			$this->deleteFiles($data[$i]);
			$query=new Query();
            $query->delete("slider_slider", "id", $data[$i]);
            $sql= $query->obtenerConsultaSQL();
            $resp=$this->ejecutarConsulta($sql);
            
            $query=new Query();
            $query->delete("slider_slider_i18n", "id_slider", $data[$i]);
            $sql= $query->obtenerConsultaSQL();
            $resp=$this->ejecutarConsulta($sql);
		}
	}
	
	
	
	public function ejecutarConsulta($sql){
		$conector = new ConectorMySQL(MYSQL_BD,MYSQL_HOST,MYSQL_USER,MYSQL_PASSWORD);
        $resp	  = $conector->consultar($sql);
        return $resp;
	}
	
	/******************OPERACIONES CON IMAGENES*****************/
		
	private function uploadImage($id, $upload){
		 $upload->renombrar($id);
		 $upload->guardarEn(DIR_FILES."slider");
        
         $original = DIR_FILES."slider/".$id.".".$upload->obtenerExtUpload();
         $mini 	   = DIR_FILES."slider/".$id."_80x80.".$upload->obtenerExtUpload();
         $thumb    = new imagenMiniatura($original,$mini);
         $thumb->crear(ANCHO_THUMB_1,ALTO_THUMB_1);
	}
	
	private function deleteImage($id, $idioma){
		$resp = toArray($this->seleccionarPorId_e_Idioma($id, $idioma));
		
		@unlink(DIR_FILES."slider/".$resp[0]['id'].".".$resp[0]['tipo']);
		@unlink(DIR_FILES."slider/".$resp[0]['id']."_80x80.".$resp[0]['tipo']);
		
	}
	
	private function deleteFiles($id){
		$sql  = "SELECT * FROM slider_slider_i18n WHERE(id_slider = '{$id}')";
		$resp = toArray($this->ejecutarConsulta($sql));
		foreach ($resp as $fila) {
			@unlink(DIR_FILES."slider/".$fila['id'].".".$fila['tipo']);
			@unlink(DIR_FILES."slider/".$fila['id']."_80x80.".$fila['tipo']);
		}
	}
	
}

?>