<?php
class usuario_model {
    private $usuario;

    public function seleccionar($filtros=array(),$cantidad="",$inicio=""){

        $sql="SELECT usu.*
                FROM usuarios_usuarios usu
            ";

        $filtrosLimpios=array();

        if($filtros ['id'] != "" )      {$filtrosLimpios[]="usu.id          ='{$filtros ['id']}' AND ";}
        if($filtros ['nombre'] != "" )  {$filtrosLimpios[]="usu.nombre      ='{$filtros ['nombre']}' AND ";}
        if($filtros ['password'] != "" )  {$filtrosLimpios[]="usu.password      ='{$filtros ['password']}' AND ";}
        if($filtros ['email'] != "" )   {$filtrosLimpios[]="usu.email       ='{$filtros ['email']}' AND ";}
        if($filtros ['activado'] != "" ){$filtrosLimpios[]="usu.activado ='{$filtros ['activado']}' AND ";}

        if(count($filtrosLimpios) >0){
            $cad_filtro ="WHERE ( ";
            foreach($filtrosLimpios as $filtroTmp){
                $cad_filtro .=$filtroTmp;
            }
            $pos   = strripos($cad_filtro, "AND");
            $cad_filtro=substr_replace ( $cad_filtro, " ", $pos);
            $cad_filtro .=" )";
        }
        $sql.=$cad_filtro;

        if($cantidad!==""){
            //por defecto inicio es 0 si no se pasa numero
            $sql.=" LIMIT $inicio, $cantidad ";
	}

        //echo $sql;
        $resp=$this->ejecutarConsulta($sql);
        return $resp;
    }

    public function insertar($datos){

        if(isset($datos[permisos])){
            $arrayPermisos=$datos[permisos];
            unset($datos[permisos]);
        }else{
            $arrayPermisos=array();
        }

        $query=new Query();

        $datos["password"]=md5($datos["password"]);

        $query->insert("usuarios_usuarios", $datos);
        $sql=$query->obtenerConsultaSQL();

        $resp=$this->ejecutarConsulta($sql);
        $ultimoId=mysql_insert_id();

        $this->establecerPermisos($ultimoId, $arrayPermisos);
            
        return $resp;
    }

    public function actualizar($id,$datos){

        if(isset($datos[permisos])){
            $arrayPermisos=$datos[permisos];
            unset($datos[permisos]);
        }else{
            $arrayPermisos=array();
        }
        
        
        //cambiar contraseña
        $confirm=$datos["password_confirmacion"];     unset ($datos["password_confirmacion"]);
        $pass=$datos["password"];                     unset ($datos["password"]);
        if($pass != "" && $confirm !="" && ($pass == $confirm)){$datos["password"]=md5($pass);}
        
        $query=new Query();
        $query->update("usuarios_usuarios", array("id"=>$id), $datos);
        $sql=$query->obtenerConsultaSQL();
        $resp=$this->ejecutarConsulta($sql);
        
        if($id != 1){
            $this->establecerPermisos($id, $arrayPermisos);
        }
    }

    public function cambiarContrasenia($id){
        
        //generar nueva contraseña
        $nuevaContrasenia=substr(md5(rand(0, 100)), 0, 8);
        
        $datos=array("password" =>md5($nuevaContrasenia));
        
        $query=new Query();
        $query->update("usuarios_usuarios", array("id"=>$id), $datos);
        $sql=$query->obtenerConsultaSQL();
        $resp=$this->ejecutarConsulta($sql);
        return $nuevaContrasenia;
        
    }
    
    public function eliminar($datos=array()){
        //echo count($datos);
        //print_r($datos);
        //exit();
        $connexionModulo=new Modulo(DIR_CONTROLLER);
        for($i=0;$i<count($datos);$i++){
            if($datos[$i] != 1){//el id=1 no puede eliminarse
                $query=new Query();
                $query->delete("usuarios_usuarios", "id", $datos[$i]);
                $sql= $query->obtenerConsultaSQL();
                //echo $sql; 
                $this->ejecutarConsulta($sql);
                
                $connexionModulo->eliminarTodosPermisos($datos[$i]);
            }
        }
        return $resp;
    }

    public function ejecutarConsulta($sql){
        $conector=new ConectorMySQL(MYSQL_BD,MYSQL_HOST,MYSQL_USER,MYSQL_PASSWORD);
        $resp=$conector->consultar($sql);
        //$conector->desconectar();
        return $resp;
    }

    public function existeEmail($email){
        $resp=$this->seleccionar($filtros=array("email" =>$email),$cantidad=1,$inicio=0);
        if(mysql_num_rows($resp) == 0){
            return false;
        }else{
            return true;
        }
    }

    public function obtenerPermisos($id){

        $connexionModulo = new Modulo(DIR_CONTROLLER);
        return $connexionModulo->obtenerPermisos($id);

    }

    public function establecerPermisos($ultimoId, $arrayPermisos){

        $connexionModulo=new Modulo(DIR_CONTROLLER);
        $connexionModulo->establecerPermisos($ultimoId, $arrayPermisos);

    }

    public function existePermiso($idUsuario,$permiso){
        $connexionModulo=new Modulo(DIR_CONTROLLER);
        return $connexionModulo->tienePermiso($idUsuario, $permiso);
    }




    //--------------------------------------------------------------------------
    

    public function iniciarSession($datosUsuario){
	
        $_SESSION['usuario'] = array();

	$_SESSION['usuario']['id'] =        $datosUsuario['id'];
	$_SESSION['usuario']['nombre'] =    $datosUsuario['nombre'];
	$_SESSION['usuario']['password'] =  $datosUsuario['password'];
        $_SESSION['usuario']['email'] =     $datosUsuario['email'];
        $_SESSION['usuario']['activado'] =  $datosUsuario['activado'];
        $_SESSION['usuario']['log'] =       $datosUsuario['log'];
        $_SESSION['usuario']['permisos'] =  $this->obtenerPermisos($datosUsuario['id']);
        //print_r($datosUsuario);
    }

}
?>
