<?php

class MenuModel extends Model{
	
	public function __construct(){
		parent::__construct();
	}
	
	public function getCategories($parent_id){
		$sql = "SELECT c.id,
		   			   idi.nombre AS name 
				FROM cms_categorias c
				LEFT JOIN cms_categorias_i18n idi 
				ON(c.id = idi.id_categoria AND idi.id_i18n = '{$this->getLanguage()}')
				WHERE(c.categoria_padre = '{$parent_id}' AND c.status = 1)
				ORDER BY c.orden ASC";
		
		$resp = $this->get($sql);
	
		return $resp;		
	}
	
	public function getParentId($id){
		$sql = "SELECT id_categoria AS id, categoria_padre 
				FROM cms_categorias_i18n
				WHERE(id_categoria = '{$id}')";
		$resp = $this->get($sql);
		if(count($resp) > 0){
			return $resp[0];
		}else{
			return $resp;
		}
	}

	public function getArticlesByCat($id_category){
		$sql = "SELECT 
					a.id, 
					idi.titulo AS title
				FROM cms_articulos a
				LEFT JOIN cms_articulos_i18n idi
				ON(a.id = idi.id_articulo AND idi.id_i18n = '{$this->getLanguage()}')
				WHERE(a.id_categoria = '{$id_category}' AND a.publicado = 1)
				ORDER BY a.orden";
		$resp = $this->get($sql);
		return $resp;
	}
	
	
}

?>