<?php
	/**
	* 
	*/
	class ProductModel extends Model
	{
		
		public function _construct(){
			parent::__construct();
		}

		public function getProductCategories(){
			$sql = "SELECT 
						c.*,
						idi.nombre AS name 
					FROM producto_categorias c
					LEFT JOIN producto_categorias_i18n idi
					ON(c.id = idi.id_categoria AND idi.id_i18n = '{$this->getLanguage()}')
					WHERE(c.status = 1)
					ORDER BY c.orden";

			$resp = $this->get($sql);

			return $resp;
		}

		public function getProductsByCategory($id_category){
			$sql = "SELECT 
						p.*,
						idi.titulo AS name,
						idi.contenido AS content 
					FROM producto_cont p
					LEFT JOIN producto_cont_i18n idi
					ON(p.id = idi.id_producto AND idi.id_i18n = '{$this->getLanguage()}')
					WHERE(p.id_categoria = '{$id_category}' AND p.status = 1)
					ORDER BY p.orden";

			$resp = $this->get($sql);
			
			return $resp;
		}

		public function getProductById($product_id)
		{
			$sql = "SELECT 
						p.*,
						idi.titulo AS name,
						idi.contenido AS content 
					FROM producto_cont p
					LEFT JOIN producto_cont_i18n idi
					ON(p.id = idi.id_producto AND idi.id_i18n = '{$this->getLanguage()}')
					WHERE(p.id = '{$product_id}')";

			$resp = $this->get($sql);
			
			return $resp[0];
		}

	}
?>