<?php
//security
if(!defined('IS_INDEX') || IS_INDEX != true){
	exit();
}
?>

<!-- <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"> -->
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" >
	<head>
		<base href="<?=APP_URL?>" />
		<meta http-equiv="Content-Type" content="text/html; charset=<?=CHARSET?>" />
		<meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=no" />
		<?= ($title != "")? "<title>$title</title>" : "<title>".APP_NAME."</title>"; ?>
		
		<?if ($meta_description !=""){?>
		<meta name="description" content="<?= $meta_description?>">
		<? } ?>
		
		<?if ($meta_keywords !=""){?>
		<meta name="keywords" content="<?= $meta_keywords?>">
		<? } ?>
		
		<link rel="shortcut icon" href="<?=PATH_VIEWS?>/<?=TEMPLATE?>/img/favicon.ico" />
		
		<!-- jquery -->
		<script src="<?=PATH_LIBRARY?>/jquery/jquery.min.js" type="text/javascript" ></script>

		<!-- bxslider -->
		<link rel="stylesheet" type="text/css" href="<?= PATH_LIBRARY ?>/bxslider/jquery.bxslider.css">
		<script type="text/javascript" src="<?= PATH_LIBRARY ?>/bxslider/jquery.bxslider.js"></script>
		    	
    	<!-- modal reveal -->
    	<link rel="stylesheet" type="text/css" href="<?= PATH_LIBRARY ?>/modalreveal/reveal.css">
    	<script type="text/javascript" src="<?= PATH_LIBRARY ?>/modalreveal/jquery.reveal.js"></script>

    	<!-- font-awesome -->
    	<link rel="stylesheet" type="text/css" href="<?= PATH_LIBRARY ?>/font-awesome/css/font-awesome.min.css">

		<!-- css -->
		<link href="<?=PATH_VIEWS?>/<?=TEMPLATE?>/css/reset.css"  	  rel="stylesheet" type="text/css" />
		<link href="<?=PATH_VIEWS?>/<?=TEMPLATE?>/css/layout.css" 	  rel="stylesheet" type="text/css" />
		<link href="<?=PATH_VIEWS?>/<?=TEMPLATE?>/css/theme.css"  	  rel="stylesheet" type="text/css" />
		<link href="<?=PATH_VIEWS?>/<?=TEMPLATE?>/css/<?=$view?>.css" rel="stylesheet" type="text/css" />
		
		
		
	</head>
	
	<body>

		<div id="fb-root"></div>
		<script>(function(d, s, id) {
		  var js, fjs = d.getElementsByTagName(s)[0];
		  if (d.getElementById(id)) return;
		  js = d.createElement(s); js.id = id;
		  js.src = "//connect.facebook.net/es_LA/sdk.js#xfbml=1&version=v2.3";
		  fjs.parentNode.insertBefore(js, fjs);
		}(document, 'script', 'facebook-jssdk'));</script>

		<div id="page">
		
			<div id="bg_header">
				<div id='navigator_warning'>
					<div>
						<b>
						Para una mejor experiencia de navegacion, actualice su navegador.<br>
						Si utiliza una versi&oacute;n antigua de <a target='_blank' href='http://windows.microsoft.com/es-xl/internet-explorer/download-ie'>Internet Explorer</a> actual&iacute;cela entrando <a target='_blank' href='http://windows.microsoft.com/es-xl/internet-explorer/download-ie'>aqu&iacute;</a>.<br>
						O si lo prefiere, le recomendamos usar <a target='_blank' href='http://www.google.com.mx/chrome/browser/desktop/index.html'>Google Chrome</a> o <a target='_blank' href='https://www.mozilla.org/es-MX/firefox/new/'>Mozila Firefox</a>.<br>
						Descarge Chrome dando click <a target='_blank' href='http://www.google.com.mx/chrome/browser/desktop/index.html'>aqu&iacute;</a>.<br>
						Descarge Firefox dando click <a target='_blank' href='https://www.mozilla.org/es-MX/firefox/new/'>aqu&iacute;</a>.
						</b>
					</div>
				</div>
				<div class = 'miselanea_header'>
				</div>
				<div id="header" >
					<?=$header?>
					<div style='clear:both'></div>
				</div>
			</div>
									
			<div id="bg_content">
				<div id="content">
					<?=$content?>
					<div style='clear:both'></div>
				</div>
			</div>
			
			
			<div class='more_footer'>
				<div class='desktop'>
				<label>Estamos siempre listos para atenderte</label><br><br>
				<h1>LL&Aacute;MANOS <label>01800 942 9090</label> &nbsp;<img src="<?= PATH_IMG?>cel_footer.png" /></h1>
				</div>
				<div class='mobil'>
					<label style='font-size:20px;'>El mejor servicio las <label style='text-decoration:underline;font-size:20px;'>24 horas</label></label>
					<h1>LLAMANOS</h1>
					<label style='font-weight:bold;font-size:35px;'>01800 942 9090</label>
					<a class='btn_llamar' href="tel:018009429090">
						<span style='display: inline-block; position: relative; top: -6px; right: 10px;'>LLAMAR AHORA</span> <img style='width:15px; display:inline-block' src="<?= PATH_IMG?>cel_footer.png" />
					</a>
				</div>
			</div>
			<div id="bg_footer"> 
				<div id="footer">
					<?=$footer?>
					<div style='clear:both'></div>
				</div>
			</div>
				
		</div>
	</body>
</html>