var InputTypeFile = function(string_name, string_pathThumb){
    this.name      = string_name;
    this.pathThumb = string_pathThumb;
    
    this.content = $("<div>");
    if(this.pathThumb == ""){
        this.showControl();
	}else{
        this.showImage();
	}
    return this;
}

InputTypeFile.prototype.showControl = function(){
    //fix closuse
    var that = this;
    
    var inputFile = $("<input type='file'>").attr("name", this.name);
    this.content.html(inputFile);
    if(this.pathThumb != ""){
        var a = $("<a>").attr("href", "#").html("Cancelar").click(function(){that.showImage();return false;});
        this.content.append(a);
    }
}

InputTypeFile.prototype.showImage = function(){
    //fix closuse
    var that = this;
    
    var image  = $("<img>").attr("src",this.pathThumb).css("border","solid #cccccc 1px");
    this.content.html(image);
    var a = $("<a>").attr("href", "#").html("Eliminar / Editar").click(function(){that.showControl();return false;});
    this.content.append(a);
}

InputTypeFile.prototype.getView = function(){
    return this.content;
}