<?php
/*
 * los archivos info.json son archivos que contienen
 * una cadena en forrmato json estas describen en contenido
 * de los modulos y son necesiarias para su correcta instalacion.
 */

class Modulo {
    protected $dirModulos;
    protected $arrayModulos=array();

    public function __construct($dirModulos) {
        $this->dirModulos=$dirModulos;
    }

    public function obtenerModulos(){
        if (is_dir($this->dirModulos)) {
            if ($dh = opendir($this->dirModulos)) {
                while (($file = readdir($dh)) !== false) {
                    $dir=$this->dirModulos."/".$file."/";
                    if(is_dir($dir) && $file !="." && $file !=".."){
                        $info=$this->obtenerInfo($dir);
                        if($info !== null){
                            $this->arrayModulos[]=$info;
                        }
                    }
                }
                closedir($dh);
            }
        }else{
            echo "El directorio de controladores no es valido:$this->dirModulos";
            exit();
        }

        //print_r($this->arrayModulos);
        
        return $this->arrayModulos;
    }

    private function obtenerInfo($dir){
        $dir=$dir."info.json";
        if(is_file($dir)){
            $json = file_get_contents($dir, true);
        }else{
            //echo "No se encuentra el archivo:$dir <br/>";
        }
        return json_decode($json);
    }

    public function eliminarTodosPermisos($idUsuario){
        $sql="DELETE FROM usuarios_permisos WHERE ( id_usuario = $idUsuario)";
        //echo $sql;
        $this->ejecutarConsulta($sql);
    }

    public function establecerPermisos($idUsuario, $arrayPermisos){

        $this->eliminarTodosPermisos($idUsuario);

        foreach($arrayPermisos as $permiso => $valor){
            $sql="INSERT INTO usuarios_permisos (id_usuario, accion) VALUES ($idUsuario,'$permiso')";
            $this->ejecutarConsulta($sql);
        }
    }

    public function obtenerPermisos($idUsuario){
        $sql="SELECT * FROM usuarios_permisos WHERE (id_usuario = $idUsuario)";
        $resp = $this->ejecutarConsulta($sql);
		//echo $sql;
        $arrayPermisos=array();

        while ($row = mysql_fetch_assoc($resp)) {
            $arrayPermisos[]=$row[accion];
        }
        return $arrayPermisos;
    }

    public function tienePermiso($idUsuario,$permiso){
        $sql="SELECT * FROM usuarios_permisos WHERE (id_usuario = $idUsuario AND accion = '$permiso')";
        $num =mysql_num_rows($this->ejecutarConsulta($sql));
        if($num == 1){
            return true;
        }else{
            return false;
        }
    }

    public function ejecutarConsulta($sql){
        $conector=new ConectorMySQL(MYSQL_BD,MYSQL_HOST,MYSQL_USER,MYSQL_PASSWORD);
        $resp=$conector->consultar($sql);
        //$conector->desconectar();
        return $resp;
    }
}//fin de class
?>
