<?php

class i18n_controller{

    public function __construct(){
        require_once DIR_MODEL.'/idioma/i18n_model.php';
    }

    public function mostrar(){
        
		$conexionI18n=new i18n_model();

		$filtros=$_REQUEST["filtros"];

		//paginacion------------------------------
		$cantResultados=mysql_num_rows($conexionI18n->seleccionar($filtros));
		$paginacion=new Paginacion($cantResultados,$_REQUEST["pagActual"],3);
        $paginacion->establecerUrl("./index.php?modulo=idioma&controlador=i18n&accion=mostrar");
        $paginacion->agregarFiltros($filtros);
        $paginacion->establecerVariablePagina("pagActual");
        
		$i18n=$conexionI18n->seleccionar($filtros,$paginacion->obtenerCantMostrar(),$paginacion->obtenerSiguienteRegistro());

        //success
        if(isset($_SESSION['success'])){
            $success = $_SESSION['success'];
            unset($_SESSION['success']);
        }else{
            $success = "";
        }

        //error
        if(isset($_SESSION['error'])){
            $error = $_SESSION['error'];
            unset($_SESSION['error']);
        }else{
            $error = "";
        }

        require DIR_TEMPLATES.'common/header.tpl';
        require DIR_TEMPLATES.'idioma/i18n_tabla.php';
		require DIR_TEMPLATES.'common/footer.tpl';
        
    }

    public function agregar(){
        
		$i18n=$_POST["i18n"];
		
		if($i18n["idioma"]=="" || $i18n["code"]=="" ){
        	require DIR_TEMPLATES.'common/header.tpl';
            require DIR_TEMPLATES.'idioma/i18n_form.php';
            require DIR_TEMPLATES.'common/footer.tpl';
		}else{
            $conexionI18n=new i18n_model();
            if($conexionI18n->insertar($i18n)){
                $_SESSION['success'] = "El idioma se agreg&oacute; con &eacute;xito.";
				header("location:index.php?modulo=idioma&controlador=i18n&accion=mostrar");
        	}else{
        		header("location:index.php?modulo=idioma&controlador=i18n&accion=mostrar");
        	}
		}
		
	}//fin agregar

    public function modificar(){
        
		$id=$_GET["id"];
        $i18n=$_POST["i18n"];

		if($id==""){//si id no existe muestro form
			header("location:index.php?modulo=idioma&controlador=i18n&accion=mostrar");
		}else{

			if($i18n["idioma"]=="" || $i18n["code"]=="" ){
                $conexionI18n=new i18n_model();
                $filtros=array("id"=>$id);
				$datos=$conexionI18n->seleccionar($filtros, 1, 0);
				$i18n = mysql_fetch_array($datos,MYSQL_ASSOC);

				require DIR_TEMPLATES.'common/header.tpl';
				require DIR_TEMPLATES.'idioma/i18n_form.php';
				require DIR_TEMPLATES.'common/footer.tpl';
            }else{
                $conexionI18n=new i18n_model();
                if($conexionI18n->actualizar($id,$i18n)){
                    $_SESSION['success'] = "El idioma se modific&oacute; con &eacute;xito.";
                    header("location:index.php?modulo=idioma&controlador=i18n&accion=mostrar");
                }else{
                    header("location:index.php?modulo=idioma&controlador=i18n&accion=mostrar");
                }
            }
        }//id
        
    }//fun


	public function eliminar(){
    	$conexionI18n = new i18n_model();
        $resp         = $conexionI18n->eliminar($_POST["eliminar"]);
        
        if($resp == ""){
            $_SESSION['success'] = "El idioma se elimin&oacute; con &eacute;xito.";
        }else{
            $_SESSION['error']   = $resp;
        }

        header("location:index.php?modulo=idioma&controlador=i18n&accion=mostrar");  
	}
    
}
?>