function ValidaForm(f){
	// Removes leading whitespaces
	function LTrim( value ) {
		var re = /\s*((\S+\s*)*)/;
		return value.replace(re, "$1");
		
	}
	// Removes ending whitespaces
	function RTrim( value ) {	
		var re = /((\s*\S+)*)\s*/;
		return value.replace(re, "$1");
	}
	
	// Removes leading and ending whitespaces
	function trim( value ) {
		return LTrim(RTrim(value));
	}

	for (i=0; i<f.elements.length; i++) {
		 objeto = f.elements[i] ;		 
		//Si van deben de ser de un tipo determinado (type= text) :
		if (objeto.type == "text" || objeto.type == "password" || objeto.type == "textarea") {
			// Nombres de los campos que son TEXT pero que se ignarn pues no son obligatorios

			if(objeto.name.search(/dimensiones|materiales|ocupacion|pais|telefono|celular|direccion/ig) && trim(objeto.value) == ""){
				alert("Todos los campos tienes que tener valor.");
				objeto.focus();
				return false;
			} else {
				if(objeto.value.indexOf("<script") >= 0){
					alert("No se permite cdigo javascript");
					objeto.focus();
					return false;
				}
				if(objeto.name == "correo"){
					if(objeto.value.search(/^[\w-\.]+@([\w-]+\.)+[\w-]{2,4}$/ig)){
						alert("La cuenta de correo electrnico no es incorrecta, debes escribirla de forma: nombre@servidor.dominio");
						objeto.select();
						objeto.focus();
						return false;
					}
				}
			}
		}
		if(objeto.name == "ciudad" && objeto.value == 0){
				alert("Selecciona un estado");
				objeto.focus();
				return false;
		}
		if(objeto.name == "dia" && objeto.value == 0){
			alert("Selecciona t da de naciemiento");
			objeto.focus();
			return false;
		}
		if(objeto.name == "mes" && objeto.value == 0){
			alert("Selecciona t mes de nacimiento.");
			objeto.focus();
			return false;
		}
		if(objeto.name == "anio" && objeto.value == 0){
			alert("Selecciona t ao de nacimiento.");
			objeto.focus();
			return false;
		}
		if(objeto.name == "modo" && objeto.value == 0){
			alert("Selecciona un modo.");
			objeto.focus();
			return false;
		}
		
		if(objeto.name == "contrasena_r"){
			var c1 = document.getElementById("contrasena_n");
			var c2 = document.getElementById("contrasena_r");
			if(c1.value != c2.value){
				alert("Las contraseas escritas no son iguales.\nVuelva a escribirlas por favor.");
				c1.value = "";
				c2.value = "";
				c1.focus();
				return false;
			}
		}
		
		if(objeto.name == "precio"){
			if(objeto.value.search(/^(?:\+|-)?\d+\.?\d*$/)){
				alert("El formato del precio es incorrecto, debe ser escrita de forma: 0.00");
				objeto.select();
				objeto.focus();
				return false;
			}
		}
	}
}

function CuentaCaracteres(objeto, maxChar){
	var longitud = objeto.value.length;
	if(maxChar < longitud){
		return false;
	}
	document.getElementById("chars").innerText = maxChar - longitud;
}

function ValidaDelete(variable){
	resp = confirm("Deseas eliminar el producto: '"  + variable + "'");
	return resp;
}