// jQuery for page scrolling feature - requires jQuery Easing plugin
$(function() {
    $('.page-scroll a').bind('click', function(event) {
        var $anchor = $(this);
        var px=-70;
        if($anchor.attr('href')=="#portfolio"){px=30;}
        
        $('html, body').stop().animate({
            scrollTop: $($anchor.attr('href')).offset().top +px
        }, 800, 'easeInOutExpo');
        event.preventDefault();
    });
});

// Floating label headings for the contact form
$(function() {
    $("body").on("input propertychange", ".floating-label-form-group", function(e) {
        $(this).toggleClass("floating-label-form-group-with-value", !! $(e.target).val());
    }).on("focus", ".floating-label-form-group", function() {
        $(this).addClass("floating-label-form-group-with-focus");
    }).on("blur", ".floating-label-form-group", function() {
        $(this).removeClass("floating-label-form-group-with-focus");
    });
});





// Highlight the top nav as scrolling occurs
$('body').scrollspy({
    target: '.navbar-fixed-top'
})

function contacto(){

    //validamos campos obligatorios antes de enviar el mail
    if($("#email").val()==""){ alert("Proporcione un Correo"); return false;}
    if($("#name").val()==""){ alert("Proporcione un Nombre"); return false;}
    if($("#mensaje").val()==""){ alert("Proporcione un Mensaje o Comentario"); return false;}    
    
    //procedemos con la peticion ajax
    $.ajax({
                    type : 'POST',
                    url : 'php/contacto.php',
                    data: {
        
                        correo: $("#email").val(),
                        nombre: $("#name").val(),
                        mensaje: $("#mensaje").val()

                    },
                    success : function(data){
                        
                        //limpiarmos campos
                        $("#email").val('');
                        $("#name").val('');
                        $("#mensaje").val('');
                        alert("En breve le contactaremos. Gracias");
                    }
    });

}//end func 
